﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="RemoteBinding.aspx.cs" Inherits="WebSampleBrowser.BulletGraph.RemoteBinding" %>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SampleHeading">
    <span class="sampleName">BulletGraph / Default</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    
    <div>
        <ej:BulletGraph ID="BulletGraph1" runat="server" Height="540" EnableAnimation="true"  FlowDirection="Backward" QualitativeRangeSize="320" QuantitativeScaleLength="475">
            <TooltipSettings Visible="true" Template="Tooltip" />
            <QuantitativeScaleSettings Location-X="50" Location-Y="20" Maximum="45" Minimum="5" Interval="10" MinorTicksPerInterval="4" TickPosition="Near">
                <MajorTickSettings width="1" stroke="gray" size="13"/>
                <MinorTickSettings width="1" stroke="gray" size="5"/>
                <LabelSettings Position="Above" offset="14" size="10" />
                </QuantitativeScaleSettings>
            <QualitativeRanges>
                <ej:QualitativeRanges RangeEnd="25" />
                <ej:QualitativeRanges RangeEnd="37" />
                <ej:QualitativeRanges RangeEnd="45" />
            </QualitativeRanges>
            <CaptionSettings Location-X="12" Location-Y="160" TextAngle="90" Text="Product (with ID's)"  Font-FontFamily="Segoe UI" Font-FontStyle="normal" Font-Size="15px" Font-FontWeight="regular" Font-Opacity="1" >
                <SubTitle TextAngle="0" Text= "Production in Units" Location-X="170" Location-Y="15" Font-FontFamily="Segoe UI" Font-FontStyle="normal" Font-Size="15px" Font-FontWeight="regular" Font-Opacity="1" />
                   
                 </CaptionSettings>
        </ej:BulletGraph>
    </div>      
    <script>
        $(function () {
            var dataManger = new ej.DataManager({
                url: "http://mvc.syncfusion.com/Services/Northwnd.svc/"
            });

            // Query creation
            var query = ej.Query().from("Order_Details").take(10).where("UnitPrice", ej.FilterOperators.greaterThan, 18, false).where("UnitPrice", ej.FilterOperators.lessThanOrEqual, 40, false).where("Quantity", ej.FilterOperators.greaterThan, 5, false).where("Quantity", ej.FilterOperators.lessThanOrEqual, 45, false);

            $("#BulletGraph1").ejBulletGraph({
                load: "loadBulletTheme",

                orientation: ej.datavisualization.BulletGraph.Orientation.Vertical,
                enableResizing: false,
                fields: {
                    dataSource: dataManger, query: query, category: "ProductID",
                    featureMeasures: "UnitPrice",
                    comparativeMeasure: "Quantity"
                }

            });
        });
    </script>
    <div id="Tooltip" style="display:none; width:125px;padding-top: 10px;padding-bottom:10px">
       
                <div align="center" style="font-weight:bold">
                    Production
                </div>                
           <table>
           <tr>
                <td>
                   Production level
                </td>
                <td>
                    : {{:currentValue}}
                </td>
               
            </tr>
            <tr>
                <td>
                    Estimated level
                </td>
                <td>
                    : {{:targetValue}}
                </td>
               
            </tr>
             <tr>
                <td>
                    Product ID
                </td>
                <td >
                    : {{:category}}
                </td>
               
            </tr>
                          
        </table>    

</div>
</asp:Content>