﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="AccumulationDistribution.aspx.cs" Inherits="WebSampleBrowser.Chart.AccumulationDistribution" %>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div>
        <ej:WaitingPopup runat="server" ID="waitingpopup" ShowOnInit="false"></ej:WaitingPopup>
        <script src="../Scripts/onlinedata.js"></script>
        <ej:Chart ID="Chart1" runat="server" Width="700" Height="600" OnClientTrackToolTip="track" CanResize="true" OnClientLoad="chartLoad">
           
            <PrimaryXAxis Title-Text="Date" IntervalType="Years" ValueType="Datetime" LabelFormat="dd,MMM"/>
            <Axes>
                <ej:Axis Name="yaxis" OpposedPosition="true">
                    <MajorGridLines Visible="false" />
                </ej:Axis>
            </Axes>
            <PrimaryYAxis LabelFormat="${value}" />
            <Legend Visible="false"></Legend>
            <Title Text="Accumulation Distribution Indicator"></Title>
            <Series>
                <ej:Series EnableAnimation="True" Name="Hilo" Type="HiloOpenClose" DrawMode="Both" XName="Xvalue" High="YValue1" Low="YValue2" Open="YValue3" Close="YValue4" Volume="YValue5">
                    <Tooltip Visible="false"  Format="#point.x#<br/>Open : $#point.open#<br/>High : $#point.high#<br/>Low : $#point.low#<br/>Close : $#point.close#<br/>"></Tooltip>
                </ej:Series>
            </Series>
            <Indicators>
                <ej:ChartIndicator Type="AccumulationDistribution" EnableAnimation="true" Fill="blue" Width="2" YAxisName="yaxis" SeriesName="Hilo">
                <Tooltip Visible="false" Format="" Fill="transparent">
                    <Border Color="transparent" />
                </Tooltip>       
                </ej:ChartIndicator>
            </Indicators>
            <Crosshair Visible="true" Type="Trackball">
            </Crosshair>
            <Zooming Enable="true" />
        </ej:Chart>
    </div>
    <script type="text/javascript">
        
        function chartLoad(sender) {
            loadTheme(sender);
            sender.model.series[0].dataSource = window.chartData;
            sender.model.series[0].xName = "xDate";
            sender.model.series[0].high = "High";
            sender.model.series[0].low = "Low";
            sender.model.series[0].open = "Open";
            sender.model.series[0].close = "Close";
            sender.model.series[0].volume = "Volume";
        }
     </script>
</asp:Content>
<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="PropertySection">
<div id="sampleProperties">
                <div class="prop-grid">
                    <div class="row">
                      <div class="col-md-3">
                            Signal Line Stroke:
                        </div>
                        <div class="col-md-3 aligntop">
                            <select name="signalLine" autocomplete="off" id="signalLine">
                                <option value="0">Blue</option>
                                <option value="1">Yellow</option>
                                <option value="2">Green</option>
								<option value="3">Red</option>
                            </select>
                        </div>
                        <%----%>
						   </div>
            </div>
	</div>
    <script>
        function getColorValue(name) {
            var val;
            switch (name) {
                case "Red":
                    val = "#FF0000";
                    break;
                case "Green":
                    val = "#009900";
                    break;
                case "Yellow":
                    val = "#D8B213";
                    break;
                case "Blue":
                    val = "#0000FF";
                    break;
            }
            return val;
        }
      
        $('#signalLine').change(function () {
            var option = $("#signalLine option:selected").text();
            var chart = $("#Chart1").ejChart("instance");
            var value = getColorValue(option);
            chart.model.indicators[0].fill = value;
            $("#Chart1").ejChart("redraw");
        });
        function track(sender) {
            sender.data.Location.X = sender.data.Location.X + 1;
            if (sender.data.Series.name == "Hilo") {
                if (this.model.indicators[0].segment.length > 0) {
                    if (this.model.indicators[0].segment[0].points[sender.data.pointIndex].y != null)
                        sender.data.currentText = sender.data.currentText + "Signal Line " + " :" + "  $" + this.model.indicators[0].segment[0].points[sender.data.pointIndex].y.toFixed(2) + "<br/>" + "<br/>";
                    else
                        sender.data.currentText = sender.data.currentText + "Signal Line " + " :" + "  $" + this.model.indicators[0].segment[0].points[sender.data.pointIndex].y + "<br/>" + "<br/>";
                }
            }
        }
     $("#sampleProperties").ejPropertiesPanel();
    </script>
   </asp:content>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ScriptSection">
         
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
   
</asp:Content>
