#region Copyright Syncfusion Inc. 2001 - 2014
// Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.JavaScript.DataVisualization;
using Syncfusion.JavaScript.DataVisualization.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebSampleBrowser.Chart
{
    public partial class Trackball : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            this.Chart1.PrimaryXAxis.Range.Min = new DateTime(2000, 1, 1);
            this.Chart1.PrimaryXAxis.Range.Max = new DateTime(2011, 2, 1);
            this.Chart1.PrimaryXAxis.Range.Interval = 1;
          
            this.Chart1.PrimaryYAxis.Range.Min = 20;
            this.Chart1.PrimaryYAxis.Range.Max = 100;
            this.Chart1.PrimaryYAxis.Range.Interval = 20;

            List<TrackBallData> data = new List<TrackBallData>();

            data.Add(new TrackBallData(new DateTime(2000, 02, 11), 21, 48, 64,85));
            data.Add(new TrackBallData(new DateTime(2000, 09, 14), 25, 43, 76, 92));
            data.Add(new TrackBallData(new DateTime(2001, 02, 11), 30,46, 68, 83));
            data.Add(new TrackBallData(new DateTime(2001, 09, 16), 33, 44, 63, 90));
            data.Add(new TrackBallData(new DateTime(2002, 02, 07), 23, 42, 74, 95));
            data.Add(new TrackBallData(new DateTime(2002, 09, 07), 28, 44, 78, 90));
            data.Add(new TrackBallData(new DateTime(2003, 02, 11), 30, 47, 64, 86));
            data.Add(new TrackBallData(new DateTime(2003, 09, 14), 38, 55, 68, 96));
            data.Add(new TrackBallData(new DateTime(2004, 02, 06), 35, 53, 73, 92));
            data.Add(new TrackBallData(new DateTime(2004, 09, 06), 38, 58, 77, 95));
            data.Add(new TrackBallData(new DateTime(2005, 02, 11), 30, 50, 64, 90));
            data.Add(new TrackBallData(new DateTime(2005, 09, 11), 27, 49, 62, 94));
            data.Add(new TrackBallData(new DateTime(2006, 02, 28), 25, 52, 66, 88));
            data.Add(new TrackBallData(new DateTime(2006, 09, 25), 30, 55, 70, 92));
            data.Add(new TrackBallData(new DateTime(2007, 02, 11), 30, 58, 66, 86));
            data.Add(new TrackBallData(new DateTime(2007, 09, 11), 36, 55, 73, 99));
            data.Add(new TrackBallData(new DateTime(2008, 02, 08), 31,53, 75, 85));
            data.Add(new TrackBallData(new DateTime(2008, 09, 08), 27, 51, 70, 90));
            data.Add(new TrackBallData(new DateTime(2009, 02, 11), 33, 48, 67, 91));
            data.Add(new TrackBallData(new DateTime(2009, 09, 11), 2, 50, 70, 93));
            data.Add(new TrackBallData(new DateTime(2010, 02, 08), 30,52, 72, 89));
            data.Add(new TrackBallData(new DateTime(2010, 09, 08), 37, 57, 77, 90));

            this.Chart1.DataSource = data;
            this.Chart1.DataBind();


           

        }
    }
    [Serializable]
    public class TrackBallData
    {
        public TrackBallData(DateTime xval, double yvalue1, double yvalue2, double yvalue3, double yvalue4)
        {
            this.Xvalue = xval;
            this.YValue1 = yvalue1;
            this.YValue2 = yvalue2;
            this.YValue3 = yvalue3;
            this.YValue4 = yvalue4;
        }
        public DateTime Xvalue
        {
            get;
            set;
        }
        public double YValue1
        {
            get;
            set;
        }
        public double YValue2
        {
            get;
            set;
        }
        public double YValue3
        {
            get;
            set;
        }
        public double YValue4
        {
            get;
            set;
        }

    }
}