﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Ranges.aspx.cs" Inherits="WebSampleBrowser.CircularGauge.Ranges" %>


<%@ Register Assembly="Syncfusion.EJ" Namespace="Syncfusion.JavaScript.DataVisualization.Models" TagPrefix="ej" %>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="HeadSection">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/excanvas.min.js")%>' type="text/javascript"></script>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div align="center">
           <ej:CircularGauge runat="server" ID="RangeCircularGauge" BackgroundColor="transparent" >
       <Scales>
           <ej:CircularScales ShowRanges="true" SweepAngle="296" StartAngle="122" Radius="130" ShowScaleBar="true" Size="1" Maximum="120" MajorIntervalValue="20" MinorIntervalValue="10">
               <Border Width="0.5"></Border>
               <PointerCap Radius="12"></PointerCap>
               <PointerCollection>
                   <ej:Pointers Value="60" ShowBackNeedle="true" Length="95" Width="7" BackNeedleLength="19" ></ej:Pointers>
               </PointerCollection>
               <TickCollection>
                   <ej:CircularTicks Type="Major" Height="16" Width="1" DistanceFromScale="2" Color="#8c8c8c"/>
                   <ej:CircularTicks Type="Minor" Height="8" Width="1" DistanceFromScale="2" Color="#8c8c8c"/>
               </TickCollection>
               <LabelCollection>
                   <ej:CircularLabels Color="#8c8c8c"></ej:CircularLabels>
               </LabelCollection>
               <RangeCollection>
                   <ej:CircularRanges distanceFromScale="-28" StartValue="0" EndValue="50">
                   </ej:CircularRanges>
                   <ej:CircularRanges BackgroundColor="#fc0606" distanceFromScale="-28" StartValue="50" EndValue="100">
                       <Border Color="#fc0606"></Border>
                   </ej:CircularRanges>
                   <ej:CircularRanges BackgroundColor="#f5b43f" distanceFromScale="-28" StartValue="100" EndValue="120">
                       <Border Color="#f5b43f"></Border>
                   </ej:CircularRanges>
               </RangeCollection>
           </ej:CircularScales>
       </Scales>
        </ej:CircularGauge>
        </div>
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript" class="jsScript">
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
        });
        $(document).ready(function () {
            rangetarg = $("#rangeid").data("ejDropDownList");
            rangetarg.option({ selectedItemIndex: 0 });
        });

        function pointerchange(args) {
            pointerg = $("#RangeCircularGauge").data("ejCircularGauge");
            var currentValue = pointerg.model.scales[0].pointers[0].value;
            $_handleValue = Math.round(args.value);
            timer = setInterval(function pointerchan() {
                if (currentValue < $_handleValue) {
                    currentValue = currentValue + 1;
                    pointerg.setPointerValue(0, 0, currentValue);
                }
                else if (currentValue > $_handleValue) {
                    currentValue = currentValue - 1;
                    pointerg.setPointerValue(0, 0, currentValue);
                }
                else if (currentValue == $_handleValue) {
                    window.clearInterval(timer);
                }
            }, 1);
        }

        function onchange1(args) {
            startslide = $("#startvalue").data("ejSlider");
            endslide = $("#endvalue").data("ejSlider");
            gaugestart = $("#RangeCircularGauge").data("ejCircularGauge");

            if (args.text == "Range1") {
                startslide.model.minValue = -5;
                startslide.model.maxValue = 50;
                startslide.setModel({ value: gaugestart.model.scales[0].ranges[0].startValue });
                endslide.model.minValue = 5; // startslide.model.end;
                endslide.model.maxValue = startslide.model.maxValue + 3; // 5;
                endslide.setModel({ value: gaugestart.model.scales[0].ranges[0].endValue });
            }
            else if (args.text == "Range2") {
                startslide.model.minValue = 47;
                startslide.model.maxValue = 100;
                startslide.setModel({ value: gaugestart.model.scales[0].ranges[1].startValue });
                endslide.model.minValue = 55; // startslide.model.end;
                endslide.model.maxValue = startslide.model.maxValue + 2; // 55;
                endslide.setModel({ value: gaugestart.model.scales[0].ranges[1].endValue });
            }
            else if (args.text == "Range3") {
                startslide.model.minValue = 97;
                startslide.model.maxValue = 120;
                startslide.setModel({ value: gaugestart.model.scales[0].ranges[2].startValue });
                endslide.model.minValue = 105; // startslide.model.end;
                endslide.model.maxValue = startslide.model.maxValue + 2; // 105;
                endslide.setModel({ value: gaugestart.model.scales[0].ranges[2].endValue });
            }
        }


        function onchange(args) {
            rangetarget = $("#rangeid").data("ejDropDownList");
            target1 = $("#RangeCircularGauge").data("ejCircularGauge");
            endslide = $("#endvalue").data("ejSlider");
            startslide = $("#startvalue").data("ejSlider");
            if (rangetarget.selectedTextValue == "Range1") {
                if (args.id == "startvalue") {
                    target1.setRangeStartValue(0, 0, args.value);
                    endslide.model.minValue = args.value //50;
                    endslide.model.maxValue = 50; // args.handleValue;
                    endslide._initialize();
                }
                else if (args.id == "endvalue") {
                    target1.setRangeEndValue(0, 0, args.value);
                    startslide.model.minValue = 0;
                    startslide.model.maxValue = args.value;
                    startslide._initialize();
                }

            }

            else if (rangetarget.selectedTextValue == "Range2") {
                if (args.id == "startvalue") {
                    target1.setRangeStartValue(0, 1, args.value);
                    endslide.model.minValue = args.value //100;
                    endslide.model.maxValue = 100; // args.handleValue;
                    endslide._initialize();
                }
                else if (args.id == "endvalue") {
                    target1.setRangeEndValue(0, 1, args.value);
                    startslide.model.minValue = 50;
                    startslide.model.maxValue = args.value;
                    startslide._initialize();
                }

            }
            else {
                if (args.id == "startvalue") {
                    target1.setRangeStartValue(0, 2, args.value);
                    endslide.model.minValue = args.value //120;
                    endslide.model.maxValue = 120; // args.handleValue;
                    endslide._initialize();
                }
                else if (args.id == "endvalue") {
                    target1.setRangeEndValue(0, 2, args.value);
                    startslide.model.minValue = 100;
                    startslide.model.maxValue = args.value;
                    startslide._initialize();
                }

            }
            if (args.id == "rangesize") {
                for (var i = 0; i <= 2; i++) {
                    target1.setRangeSize(0, i, args.value);
                }
            }
            else if (args.id == "distancefromscale") {
                for (var i = 0; i <= 2; i++) {
                    target1.setRangeDistanceFromScale(0, i, args.value);
                }
            }
        }
     </script>
</asp:Content>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                   Range Size
                </div>
                <div class="col-md-3">
                   <ej:Slider ID="rangesize" runat="server" SliderType="MinRange" Value="7" Height="10" Width="110" MinValue="2" MaxValue="12" EnableAnimation="true" ClientSideOnChange="onchange" ClientSideOnSlide="onchange" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                   Range Distance
                </div>
                <div class="col-md-3">
                   <ej:Slider ID="distancefromscale" runat="server" SliderType="MinRange" Value="-28" Height="10" Width="110" MinValue="-30" MaxValue="0" EnableAnimation="true" ClientSideOnChange="onchange" ClientSideOnSlide="onchange" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                   Pointer Value
                </div>
                <div class="col-md-3">
                   <ej:Slider ID="pointervalue" runat="server" SliderType="MinRange" Value="60" Height="10" Width="110" MinValue="0" MaxValue="120" EnableAnimation="true" ClientSideOnChange="pointerchange" ClientSideOnSlide="pointerchange" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                   Select Range
                </div>
                <div class="col-md-3">
                    <ej:DropDownList runat="server" ID="rangeid" Width="115px" SelectedItemIndex="0" ClientSideOnChange="onchange1">
                        <Items>
                            <ej:DropDownListItem Value="Range1" Text="Range1"/>
                            <ej:DropDownListItem Value="Range2" Text="Range2"/>
                            <ej:DropDownListItem Value="Range3" Text="Range3"/>
                        </Items>
                    </ej:DropDownList>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                   Start Value
                </div>
                <div class="col-md-3">
                   <ej:Slider ID="startvalue" runat="server" SliderType="MinRange" Value="0" Height="10" Width="110" MinValue="0" MaxValue="50" EnableAnimation="true" ClientSideOnChange="onchange" ClientSideOnSlide="onchange" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                   End Value
                </div>
                <div class="col-md-3">
                   <ej:Slider ID="endvalue" runat="server" SliderType="MinRange" Value="50" Height="10" Width="110" MinValue="0" MaxValue="50" EnableAnimation="true" ClientSideOnChange="onchange" ClientSideOnSlide="onchange" /> 
                </div>
            </div>
        </div>
    </div>
</asp:Content>
