﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="APIs.aspx.cs" Inherits="WebSampleBrowser.ColorPicker.APIs" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <ej:ColorPicker ID="colorPick" runat="server" Value="#278787"></ej:ColorPicker>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    Value (prefix with '#')
                </div>
                <div class="col-md-3">
                    <input type="text" id="color-value" class="input ejinputtext" onchange="onValueChange()" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Opacity Value
                </div>
                <div class="col-md-3">
                    <ej:NumericTextBox runat="server" ID="opacityValue" Width="95px" MinValue="0" MaxValue="100" EnableStrictMode="true" ShowSpinButton="false" ClientSideOnChange="onOpacityChange"></ej:NumericTextBox>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Enable Preview
                </div>
                <div class="col-md-3">
                    <ej:ToggleButton runat="server" ID="preview" Width="95px" DefaultText="False" ActiveText="True" ClientSideOnChange="onPreview"></ej:ToggleButton>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Enable Opacity
                </div>
                <div class="col-md-3">
                    <ej:ToggleButton runat="server" ID="opacity" Width="95px" DefaultText="False" ActiveText="True" ClientSideOnChange="onEnableOpacity"></ej:ToggleButton>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Show Recent Color
                </div>
                <div class="col-md-3">
                    <ej:ToggleButton runat="server" ID="recentColor" Width="95px" DefaultText="True" ActiveText="False" ClientSideOnChange="onRecentColor"></ej:ToggleButton>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Enabled
                </div>
                <div class="col-md-3">
                    <ej:ToggleButton runat="server" ID="enabled" Width="95px" DefaultText="False" ActiveText="True" ClientSideOnChange="onEnabled"></ej:ToggleButton>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Get HexCode
                </div>
                <div class="col-md-3">
                    <input type="button" class="e-btn e-select" id="hexCode" value="Value" onclick="getHexCode()" />
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        var ColorObj;
        $(function () {
            ColorObj = $("#colorPick").data('ejColorPicker');
            $("#sampleProperties").ejPropertiesPanel();
        });
        function onValueChange() {
            if ($("#color-value").val() !== "") {
                if ($("#color-value").val().length == 4 || $("#color-value").val().length == 7)
                    ColorObj.option('value', $("#color-value").val());
            }
        }
        function onOpacityChange(args) {
            ColorObj.option('opacityValue', args.value);
        }
        function onEnabled(args) {
            var ColorObj = $("#colorPick").data('ejColorPicker');
            if (args.isChecked) ColorObj.option('enabled', false);
            else ColorObj.option('enabled', true);
        }
        function onRecentColor(args) {
            var ColorObj = $("#colorPick").data('ejColorPicker');
            if (args.isChecked) ColorObj.option('showRecentColors', true);
            else ColorObj.option('showRecentColors', false);
        }
        function onEnableOpacity(args) {
            var ColorObj = $("#colorPick").data('ejColorPicker');
            var numericObj = $("#opacityValue").data('ejNumericTextbox');
            if (args.isChecked) {
                ColorObj.option('enableOpacity', false);
                numericObj.disable();
            }
            else {
                ColorObj.option('enableOpacity', true);
                numericObj.enable();
            }
        }
        function onPreview(args) {
            var ColorObj = $("#colorPick").data('ejColorPicker');
            if (args.isChecked) ColorObj.option('showPreview', false);
            else ColorObj.option('showPreview', true);
        }
        function getHexCode() {
            alert("The Colorpicker value : " + ColorObj.getValue());
        }

    </script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css" class="cssStyles">
        .frame .control {
            margin-left: 70px;
        }

        .cols-sample-area .frame {
            margin-left: 30%;
            padding: 50px 60px 65px;
            width: 206px;
        }

        .prop-grid .row .e-btn.e-select {
            width: 95px;
        }

        .row #hexCode {
            width: 95px;
            height: 30px;
        }

        .input.ejinputtext {
            text-indent: 10px;
            width: 92px;
            height: 20px;
        }

        .row .e-widget.e-numeric {
            width: 95px;
        }
    </style>
</asp:Content>

