﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="ClientSideEvents.aspx.cs" Inherits="WebSampleBrowser.ColorPicker.ClientSideEvents" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <asp:UpdatePanel ID="Update" UpdateMode="Always" runat="server">
        <ContentTemplate>
            <div class="frame">
                <div class="control">
                    <ej:ColorPicker ID="colorPickerEvent" Value="#278787" ClientSideOnSelect="onSelected" ClientSideOnCreate="onCreate" ClientSideOnClose="onClose" ClientSideOnOpen="onOpen" ClientSideOnChange="onChange" runat="server"></ej:ColorPicker>
                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="EventSection" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" UpdateMode="Always" runat="server">
        <ContentTemplate>
            <div class="cols-prop-area event-tracer">
                <div>
                    <div class="heading">
                        <span>Event Trace</span>
                        <div class="pull-right">
                            <ej:DropDownList ID="selectControls" ClientSideOnPopupShown="adjustpopupposition" ClientSideOnCheckChange="evtpropscheckedevent" ShowCheckbox="true" CheckAll="true" runat="server">
                                <Items>
                                    <ej:DropDownListItem Value="open" Text="open"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="close" Text="close"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="change" Text="change"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="select" Text="select"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="create" Text="create"></ej:DropDownListItem>
                                </Items>
                            </ej:DropDownList>
                        </div>
                    </div>
                    <div class="prop-grid content">
                        <div class="eventarea">
                            <div class="EventLog" id="EventLog">
                            </div>
                        </div>
                        <div class="evtbtn">
                            <ej:Button ID="Clear" Type="Button" Text="Clear" ClientSideOnClick="onClear" CssClass="eventclear e-btn" runat="server"></ej:Button>
                        </div>
                    </div>
                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript" class="jsScript">
        function onCreate(args) {
            jQuery.addEventLog("ColorPicker has been <span class='eventTitle'>created.</span>");
        }
        function onSelected(args) {
            jQuery.addEventLog(args.value + " was <span class='eventTitle'>selected.</span>");
        }
        function onChange(args) {
            jQuery.addEventLog("ColorPicker value has been changed to <span class='eventTitle'>" + args.value + ".</span>");
        }
        function onOpen(args) {
            jQuery.addEventLog("ColorPicker popup has been <span class='eventTitle'>opened.</span>");
        }
        function onClose(args) {
            jQuery.addEventLog("ColorPicker popup has been <span class='eventTitle'>closed.</span>");
        }

        function onClear() {
            jQuery.clearEventLog();
        }
        function evtpropscheckedevent(args) {
            var dpObj = $("#colorPickerEvent").data("ejColorPicker");
            if (args.isChecked) {
                switch (args.data.itemValue) {
                    case "select": dpObj.option(args.data.itemValue, "onSelected"); break;
                    case "open": dpObj.option(args.data.itemValue, "onOpen"); break;
                    case "close": dpObj.option(args.data.itemValue, "onClose"); break
                    case "create": dpObj.option(args.data.itemValue, "onCreate"); break;
                    case "change": dpObj.option(args.data.itemValue, "onChange"); break;
                }
            }
            else {
                dpObj.option(args.data.itemValue, null);
            }
        }
    </script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .frame .control {
            margin-left: 70px;
        }

        .cols-sample-area .frame {
            margin-left: 59px;
            padding: 50px 60px 65px;
            width: 206px;
        }
    </style>
</asp:Content>
