﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="Localization.aspx.cs" Inherits="WebSampleBrowser.DateTimePicker.localization" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadSection" runat="server">
    <style type="text/css">
        .control {
            margin: 0 auto;
            width: 210px;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <ej:DateTimePicker ID="dateTime" runat="server" Locale="en-US" Width="180px"></ej:DateTimePicker>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    Select Culture
                </div>
                <div class="col-md-3">
                    <ej:DropDownList runat="server" ID="culture" TargetID="culturelist" ClientSideOnChange="onCultureChange" Width="100px" SelectedItemIndex="0"></ej:DropDownList>
                    <div id="culturelist">
                        <ul>
                            <li>en-US</li>
                            <li>vi-VN</li>
                            <li>zh-CN</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/cultures/globalize.culture.en-US.min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/cultures/globalize.culture.zh-CN.min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/cultures/globalize.culture.vi-VN.min.js")%>' type="text/javascript"></script>


    <script type="text/javascript">
        var timeobject;
        $(function () {
            dateTimeobject = $("#dateTime").data("ejDateTimePicker");
            dateTimeobject.setModel({ "value": new Date() });
            var ddObj = $("#culture").ejDropDownList("instance");
            ddObj.option({ selectedItemByIndex: 0 });

            $("#sampleProperties").ejPropertiesPanel();
        });

        function onCultureChange(args) {
            var texts = {};
            if (args.text == "en-US") texts = { today: "Today", now: "Now", done: "Done", timeTitle: "Time" };
            else if (args.text == "vi-VN") texts = { today: "hôm nay", now: "bây giờ", done: "được rồi", timeTitle: "thời gian" };
            else if (args.text == "zh-CN") texts = { today: "今天", now: "现在", done: "做过", timeTitle: "时间" };
            dateTimeobject.setModel({ "locale": args.text, buttonText: texts });
        }
    </script>
</asp:Content>
