﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="FlowDiagram.aspx.cs" Inherits="WebSampleBrowser_2010.Diagram.FlowDiagram" %>

<%@ Register Assembly="Syncfusion.EJ.Web" Namespace="Syncfusion.JavaScript" TagPrefix="ej" %>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/Diagram/DiagramCommon.js")%>' type="text/javascript"></script>
</asp:Content>

<asp:Content runat="server" ID="ControlContent" ContentPlaceHolderID="ControlsSection">
    <ej:Diagram ID="DiagramWebControl1" runat="server" Height="600px" Width="1000px" EnableContextMenu="false">       
        <PageSettings ScrollLimit="Diagram" />
        <Nodes>
            <ej:DiagramNode Name="NewIdea" Width="150" Height="60" OffsetX="300" OffsetY="60" FillColor="#1BA0E2" BorderColor="#1BA0E2">
                <Shape Type="Path" PathData="M 45 220 L 45 220 A 20 30 0 0 1 45 280 L 45 280 A 20 30 0 0 1 45 220 Z" />
                <Labels>
                    <ej:DiagramLabel Name="NewIdea_Label" Text="New Idea Identified" FontColor="White"></ej:DiagramLabel>
                </Labels>
            </ej:DiagramNode>
            <ej:DiagramNode Name="Meeting" Width="150" Height="60" OffsetX="300" OffsetY="155" FillColor="#1BA0E2" BorderColor="#1BA0E2">
                <Labels>
                    <ej:DiagramLabel Name="Meeting_Label" Text="Meeting with board" FontColor="White"></ej:DiagramLabel>
                </Labels>
            </ej:DiagramNode>
            <ej:DiagramNode Name="BoardDecision" Width="150" Height="110" OffsetX="300" OffsetY="280" FillColor="#1BA0E2" BorderColor="#1BA0E2">
                <Shape Type="Polygon">
                    <PointCollection>
                        <ej:ShapePoints X="310" Y="50" />
                        <ej:ShapePoints X="340" Y="80" />
                        <ej:ShapePoints X="310" Y="110" />
                        <ej:ShapePoints X="280" Y="80" />
                    </PointCollection>                    
                </Shape>
                <Labels>
                    <ej:DiagramLabel Name="BoardDecision_Label" Text="Board decides \nwhether \nto proceed" FontColor="White">
                        <Margin Top="0" Left="20" Right="20" Bottom="0" />
                    </ej:DiagramLabel>
                </Labels>
            </ej:DiagramNode>
             <ej:DiagramNode Name="Project" Width="150" Height="100" OffsetX="300" OffsetY="430" FillColor="#1BA0E2" BorderColor="#1BA0E2">
                <Shape Type="Polygon">
                    <PointCollection>
                        <ej:ShapePoints X="310" Y="50" />
                        <ej:ShapePoints X="340" Y="80" />
                        <ej:ShapePoints X="310" Y="110" />
                        <ej:ShapePoints X="280" Y="80" />
                    </PointCollection>                    
                </Shape>
                 <Labels>
                    <ej:DiagramLabel Name="Project_Label" Text="Find Project \nmanager" FontColor="White"></ej:DiagramLabel>
                </Labels>
            </ej:DiagramNode>
            <ej:DiagramNode Name="End" Width="150" Height="60" OffsetX="300" OffsetY="555" FillColor="#1BA0E2" BorderColor="#1BA0E2">
                <Labels>
                    <ej:DiagramLabel Name="End_Label" Text="Implement and Deliver" FontColor="White"></ej:DiagramLabel>
                </Labels>
            </ej:DiagramNode>
             <ej:DiagramNode Name="Decision" Width="250" Height="60" OffsetX="550" OffsetY="60" FillColor="#858585" BorderColor="#1BA0E2">
                <Shape Type="Polygon">
                    <PointCollection>
                        <ej:ShapePoints X="280" Y="60" />
                        <ej:ShapePoints X="400" Y="60" />
                        <ej:ShapePoints X="400" Y="110" />
                        <ej:ShapePoints X="260" Y="110" />
                        <ej:ShapePoints X="260" Y="75" />
                    </PointCollection>                    
                </Shape>
                 <Labels>
                    <ej:DiagramLabel Name="Decision_Label" Text="Decision Process for new software ideas" FontColor="White"></ej:DiagramLabel>
                </Labels>
            </ej:DiagramNode>
            <ej:DiagramNode Name="Reject" Width="150" Height="60" OffsetX="550" OffsetY="285" FillColor="#1BA0E2" BorderColor="#1BA0E2">
                <Labels>
                    <ej:DiagramLabel Name="Reject_Label" Text="Reject and write report" FontColor="White"></ej:DiagramLabel>
                </Labels>
            </ej:DiagramNode>
            <ej:DiagramNode Name="Resources" Width="150" Height="60" OffsetX="550" OffsetY="430" FillColor="#1BA0E2" BorderColor="#1BA0E2">
                <Labels>
                    <ej:DiagramLabel Name="Resources_Label" Text="Hire new resources" FontColor="White"></ej:DiagramLabel>
                </Labels>
            </ej:DiagramNode>
        </Nodes>
        <Connectors>
            <ej:DiagramConnector Name="Connector1" SourceNode="NewIdea" TargetNode="Meeting" LineColor="#606060">
                <SourceDecorator Shape="None" />
                 <TargetDecorator BorderColor="#606060"  Width="10" Height="10"  />
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector2" SourceNode="Meeting" TargetNode="BoardDecision" LineColor="#606060">
                <SourceDecorator Shape="None" />
                 <TargetDecorator BorderColor="#606060"  Width="10" Height="10"  />
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector3" SourceNode="BoardDecision" TargetNode="Reject" LineColor="#606060">                
                <SourceDecorator Shape="None" />
                 <TargetDecorator BorderColor="#606060"  Width="10" Height="10"  />
                <Labels>
                    <ej:DiagramLabel Name="Connector3_Label" Text="No" FillColor="white"></ej:DiagramLabel>
                </Labels>
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector4" SourceNode="BoardDecision" TargetNode="Project" LineColor="#606060">
                <SourceDecorator Shape="None" />
                 <TargetDecorator BorderColor="#606060"  Width="10" Height="10"  />
                <Labels>
                    <ej:DiagramLabel Name="Connector4_Label" Text="Yes" FillColor="white"></ej:DiagramLabel>
                </Labels>
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector5" SourceNode="Project" TargetNode="Resources" LineColor="#606060">
                <SourceDecorator Shape="None" />
                 <TargetDecorator BorderColor="#606060"  Width="10" Height="10"  />
                <Labels>
                    <ej:DiagramLabel Name="Connector5_Label" Text="No" FillColor="white"></ej:DiagramLabel>
                </Labels>
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector6" SourceNode="Project" TargetNode="End" LineColor="#606060">
                <SourceDecorator Shape="None" />
                 <TargetDecorator BorderColor="#606060"  Width="10" Height="10"  />
                <Labels>
                    <ej:DiagramLabel Name="Connector6_Label" Text="Yes" FillColor="white"></ej:DiagramLabel>
                </Labels>
            </ej:DiagramConnector>
        </Connectors>
    </ej:Diagram>

</asp:Content>
