﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Knockout.aspx.cs" Inherits="WebSampleBrowser.Diagram.Knockout" %>


<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="HeadSection">
    <script src="../Scripts/knockout-min.js"></script>
    <script src="../Scripts/ej/ej.widget.ko.min.js"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/excanvas.min.js")%>' type="text/javascript"></script>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">

    <div id="diagram" data-bind="ejDiagram: ({
    height: '500px', width: '700px', zoomFactor: zoomFactor, nodes: nodes,
    enableContextMenu: enableContextMenu, showTooltip: showTooltip,
    backgroundColor: 'whitesmoke',
    pageSettings: {
        pageWidth: _pageWidth,
        pageHeight: _pageHeight,
        multiplePage: _multiplePage,
        pageBorderWidth: _pageBorderWidth,
        pageBackgroundColor: pageBackgroundColor,
        pageBorderColor: _pageBorderColor,
        pageMargin: _pageMargin,
        showPageBreak: _showPageBreak,
        pageOrientation: _pageOrientation,
        scrollLimit:_scrollLimit,
    },
    snapSettings: {
        enableSnapToObject: _enableSnapToObject,
        snapAngle: _snapAngle,
        snapObjectDistance: _snapObjectDistance,
    },
})"
        style="float: left;">
    </div>

    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    <b>Page Settings</b>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Height
                </div>
                <div class="col-md-3 aligntop">
                    <input type="text" data-bind="value: _pageHeight" style="width: 110px" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Width
                </div>
                <div class="col-md-3 aligntop">
                    <input type="text" data-bind="value: _pageWidth" style="width: 110px" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Multiple Page
                </div>
                <div class="col-md-3 aligntop">
                    <input type="checkbox" data-bind="checked: _multiplePage" style="outline: none;" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Border Width
                </div>
                <div class="col-md-3 aligntop">
                    <input type="text" data-bind="value: _pageBorderWidth" style="width: 110px" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Background 
                </div>
                <div class="col-md-3 aligntop">
                    <input id="Text1" data-bind="ejDropDownList: { dataSource: pageColor, text: pageBackgroundColor, value: pageBackgroundColor, width: '100px' }">
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Border Color
                </div>
                <div class="col-md-3 aligntop">
                    <input id="Text2" data-bind="ejDropDownList: { dataSource: pageColor, text: _pageBorderColor, value: _pageBorderColor, width: '100px' }">
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Margin
                </div>
                <div class="col-md-3 aligntop">
                    <input type="text" data-bind="value: _pageMargin" style="width: 110px" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Show Break
                </div>
                <div class="col-md-3 aligntop">
                    <input type="checkbox" data-bind="checked: _showPageBreak" style="outline: none;" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Orientation
                </div>
                <div class="col-md-3 aligntop">
                    <input id="controlSelect" data-bind="ejDropDownList: { dataSource: pageStyle, text: _pageOrientation, value: _pageOrientation, width: '100px' }">
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Snap Settings</b>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Enable Snap 
                </div>
                <div class="col-md-3 aligntop">
                    <input type="checkbox" data-bind="checked: _enableSnapToObject" style="outline: none;" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Snap Angle
                </div>
                <div class="col-md-3 aligntop">
                    <input type="text" data-bind="value: _snapAngle" style="width: 110px" />

                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Snap Distance
                </div>
                <div class="col-md-3 aligntop">
                    <input type="text" data-bind="value: _snapObjectDistance" style="width: 110px" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Model </b>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Zoom Factor
                </div>
                <div class="col-md-3 aligntop">
                    <input type="text" id="txtValue" data-bind="value: zoomFactor" style="width: 110px" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Show Tooltip
                </div>
                <div class="col-md-3 aligntop">
                    <input type="checkbox" data-bind="checked: showTooltip" style="outline: none;" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Context Menu
                </div>
                <div class="col-md-3 aligntop">
                    <input type="checkbox" data-bind="checked: enableContextMenu" style="outline: none;" />
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        var nodes = [{ name: "node1", height: 60, width: 60, offsetX: 170, offsetY: 105, borderWidth: 1, borderColor: "#99SF13", shape: { type: "ellipse" }, gradient: { type: "radial", cx: 50, cy: 50, fx: 50, fy: 50, stops: [{ offset: 0, color: "white", opacity: 0 }, { offset: 100, color: "#FBB040", opacity: 1 }] } },
                            { name: "node2", height: 90, width: 60, offsetX: 240, offsetY: 105, borderWidth: 1, borderColor: "#8BB23F", shape: { type: "ellipse" }, gradient: { type: "radial", cx: 50, cy: 50, fx: 50, fy: 50, stops: [{ offset: 0, color: "white", opacity: 0 }, { offset: 100, color: "#A0D05F", opacity: 1 }] } },
                            { name: "node3", height: 120, width: 60, offsetX: 310, offsetY: 105, borderWidth: 1, borderColor: "#27A9CC", shape: { type: "ellipse" }, gradient: { type: "radial", cx: 50, cy: 50, fx: 50, fy: 50, stops: [{ offset: 0, color: "white", opacity: 0 }, { offset: 100, color: "#7FDEFF", opacity: 1 }] } },
                            { name: "node4", height: 90, width: 60, offsetX: 170, offsetY: 255, borderWidth: 1, borderColor: "#99SF13", shape: { type: "ellipse" }, gradient: { type: "radial", cx: 50, cy: 50, fx: 50, fy: 50, stops: [{ offset: 0, color: "white", opacity: 0 }, { offset: 100, color: "#FBB040", opacity: 1 }] } },
                            { name: "node5", height: 90, width: 60, offsetX: 240, offsetY: 255, borderWidth: 1, borderColor: "#8BB23F", shape: { type: "ellipse" }, gradient: { type: "radial", cx: 50, cy: 50, fx: 50, fy: 50, stops: [{ offset: 0, color: "white", opacity: 0 }, { offset: 100, color: "#A0D05F", opacity: 1 }] } },
                            { name: "node6", height: 90, width: 60, offsetX: 310, offsetY: 255, borderWidth: 1, borderColor: "#27A9CC", shape: { type: "ellipse" }, gradient: { type: "radial", cx: 50, cy: 50, fx: 50, fy: 50, stops: [{ offset: 0, color: "white", opacity: 0 }, { offset: 100, color: "#7FDEFF", opacity: 1 }] } },
                            { name: "node7", height: 60, width: 90, offsetX: 165, offsetY: 400, borderWidth: 1, borderColor: "#99SF13", shape: { type: "ellipse" }, gradient: { type: "radial", cx: 50, cy: 50, fx: 50, fy: 50, stops: [{ offset: 0, color: "white", opacity: 0 }, { offset: 100, color: "#FBB040", opacity: 1 }] } },
                            { name: "node8", height: 60, width: 90, offsetX: 240, offsetY: 400, borderWidth: 1, borderColor: "#8BB23F", shape: { type: "ellipse" }, gradient: { type: "radial", cx: 50, cy: 50, fx: 50, fy: 50, stops: [{ offset: 0, color: "white", opacity: 0 }, { offset: 100, color: "#A0D05F", opacity: 1 }] } },
                            { name: "node9", height: 60, width: 90, offsetX: 315, offsetY: 400, borderWidth: 1, borderColor: "#27A9CC", shape: { type: "ellipse" }, gradient: { type: "radial", cx: 50, cy: 50, fx: 50, fy: 50, stops: [{ offset: 0, color: "white", opacity: 0 }, { offset: 100, color: "#7FDEFF", opacity: 1 }] } },


                            { name: "node10", height: 40, width: 90, offsetX: 240, offsetY: 170, fillColor: "transparent", borderWidth: 1, borderColor: "transparent", labels: [{ name: "label1", text: "Same Width" }], constraints: ej.datavisualization.Diagram.NodeConstraints.Default & ~ej.datavisualization.Diagram.NodeConstraints.Select },
                            { name: "node11", height: 40, width: 90, offsetX: 240, offsetY: 320, fillColor: "transparent", borderWidth: 1, borderColor: "transparent", labels: [{ name: "label1", text: "Same Height" }], constraints: ej.datavisualization.Diagram.NodeConstraints.Default & ~ej.datavisualization.Diagram.NodeConstraints.Select },
                            { name: "node12", height: 40, width: 90, offsetX: 240, offsetY: 450, fillColor: "transparent", borderWidth: 1, borderColor: "transparent", labels: [{ name: "label1", text: "Same Size" }], constraints: ej.datavisualization.Diagram.NodeConstraints.Default & ~ej.datavisualization.Diagram.NodeConstraints.Select },
        ];
        var connectorDefaults = {};
        var carList = [
               { text: "None" },
               { text: "PageEditable" },
               { text: "Bridging" },
               { text: "Zoomable" },
               { text: "PannableX" },
               { text: "PannableY" },
        ];

        var pageColor = [{ text: "Black" }, { text: "White" }, { text: "Goldenrod" }, { text: "Indigo" }, { text: "Chocolate" }, { text: "DarkGoldenRod" }, { text: "FireBrick" }, { text: "DarkRed" }, { text: "GoldenRod" }, { text: "Khaki" }, { text: "LightCoral" }, { text: "Moccasin" }, { text: "Teal" }, ];
        var pageStyle = [{ empid: "cr1", text: "portrait" }, { empid: "cr2", text: "landscape" }, ];
        window.viewModel = {
            zoomFactor: ko.observable(0.2),
            dataList: ko.observable(carList),
            value: ko.observable("PageEditable"),
            showTooltip: ko.observable(true),
            enableContextMenu: ko.observable(true),
            _pageHeight: ko.observable(500),
            _pageWidth: ko.observable(500),
            _multiplePage: ko.observable(true),
            _pageBorderWidth: ko.observable(1),
            pageBackgroundColor: ko.observable("White"),
            _pageBorderColor: ko.observable("Black"),
            _pageMargin: ko.observable(20),
            _showPageBreak: ko.observable(true),
            _pageOrientation: ko.observable("landscape"),
            _scrollLimit: ko.observable("diagram"),
            _enableSnapToObject: ko.observable(true),
            _snapAngle: ko.observable(1),
            _snapObjectDistance: ko.observable(10),
        };
        if (!(ej.browserInfo().name === "msie" && Number(ej.browserInfo().version) < 9)) {
            $(function () {
                ko.applyBindings(viewModel);
                $("#sampleProperties").ejPropertiesPanel();
                $("#txtValue").ejNumericTextbox({ minValue: 0, maxValue: 30, decimalPlaces: 2, showSpinButton: false, width: 50 });
            });
            $(window).load(function () {
                var diagram = $("#diagram").ejDiagram("instance");
                diagram.fitToPage("page");
            });
        }
        else {
            alert("Diagram will not be supported in IE Version < 9");
        }


    </script>
</asp:Content>
<%--<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="PropertySection">
    
</asp:Content>--%>

