﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="UML.aspx.cs" Inherits="WebSampleBrowser_2010.Diagram.UML" %>

<%@ Register Assembly="Syncfusion.EJ.Web" Namespace="Syncfusion.JavaScript" TagPrefix="ej" %>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">
        function nodeTemplate(diagram, node) {
            if ((node.properties && node.properties.length > 0) || (node.methods && node.methods.length > 0)) {
                node.type = "group";
                node.children = node.children ? node.children : [];
                node.container = { type: "stack" };
                node.children.push({
                    parent: node.name,
                    horizontalAlign: "stretch",
                    height: 30, width: node.minWidth, labels: [{ text: node.className, fontColor: "white", fontFamily: "Segoe UI", readOnly: true }]
                });
                createClassMembers(node, node.properties, "property");
                createClassMembers(node, node.methods, "method");
            }
            else {
                node.height = 30;
                node.labels.push({ text: node.className, fontColor: "white", fontFamily: "Segoe UI", readOnly: true });
            }
        }

        function createClassMembers(node, membersCollection, memberType) {
            if (membersCollection && membersCollection.length > 0) {
                createLine(node);
                for (var i in membersCollection) {
                    if (memberType === "property")
                        createChild(node, membersCollection[i].name + ":" + membersCollection[i].type);
                    else
                        createChild(node, membersCollection[i].name + "(" + membersCollection[i].returnType + "):" + membersCollection[i].parameter);
                }
            }
        }

        function createLine(node) {
            node.children.push({ height: .5, width: node.minWidth, borderColor: "white", })
        }

        function createChild(node, text) {
            node.children.push({
                height: 25, width: node.minWidth, borderColor: "transparent",
                labels: [{
                    fontColor: "white",
                    margin: { left: -64, top: -10 }, horizontalAlignment: "left", verticalAlignment: "top",
                    text: text,
                    fontFamily: "Segoe UI",
                    readOnly: true
                }],
            });
        }
    </script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/Diagram/DiagramCommon.js")%>' type="text/javascript"></script>
</asp:Content>

<asp:Content runat="server" ID="ControlContent" ContentPlaceHolderID="ControlsSection">
    <svg xmlns="http://www.w3.org/2000/svg" width="0px" height="0px">
        <g id="nativeContent">
        </g>
    </svg>
    <ej:Diagram ID="DiagramWebControl1" runat="server" Height="700px" Width="1000px" EnableContextMenu="false">
        <PageSettings ScrollLimit="Diagram" />
        <Connectors>
            <ej:DiagramConnector Name="Connector1" SourceNode="Patient" TargetNode="Person" Constraints="None">
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector2" SourceNode="Person" TargetNode="Hospital" Constraints="None">
                <TargetDecorator Shape="None" />
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector3" SourceNode="Department" TargetNode="Hospital" Constraints="None">
                <TargetDecorator Shape="Diamond" />
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector4" SourceNode="OperationStaff" TargetNode="Patient" Constraints="None">
                <TargetDecorator Shape="None" />
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector5" SourceNode="Doctor" TargetNode="OperationStaff" Constraints="None">
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector6" SourceNode="Nurse" TargetNode="OperationStaff" Constraints="None">
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector7" SourceNode="Surgeon" TargetNode="Doctor" Constraints="None">
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector8" SourceNode="FrontDeskStaff" TargetNode="AdministrativeStaff" Constraints="None">
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector9" SourceNode="Technician" TargetNode="TechnicalStaff" Constraints="None">
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector10" SourceNode="Technologist" TargetNode="TechnicalStaff" Constraints="None">
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector11" SourceNode="SurgicalTechnologist" TargetNode="Technologist" Constraints="None">
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector12" SourceNode="Staff" TargetNode="Department" Constraints="None">
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector13" SourceNode="Staff" TargetNode="Person" Constraints="None">
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector14" SourceNode="OperationStaff" TargetNode="Staff" Constraints="None">
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector15" SourceNode="AdministrativeStaff" TargetNode="Staff" Constraints="None">
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector16" SourceNode="TechnicalStaff" TargetNode="Staff" Constraints="None">
            </ej:DiagramConnector>
        </Connectors>
    </ej:Diagram>
</asp:Content>
