#region Copyright Syncfusion Inc. 2001 - 2014
// Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.JavaScript.DataVisualization.DiagramEnums;
using Syncfusion.JavaScript.DataVisualization.Models.Diagram;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.JavaScript.DataVisualization.Models.Collections;
using System.Web.Script.Serialization;

namespace WebSampleBrowser_2010.Diagram
{
    public partial class UML : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                DiagramWebControl1.Model.DefaultSettings.Node = new Node()
                 {
                     Constraints = NodeConstraints.Default ^ NodeConstraints.Select,
                     FillColor = "#26A0DA",
                     BorderColor = "transparent",
                     BorderWidth = 2,
                 };
                DiagramWebControl1.Model.DefaultSettings.Connector = new Connector()
                {
                    Constraints = ConnectorConstraints.None,
                    Segments = new Collection() { new Segment(Segments.Straight) },
                    TargetDecorator = new Decorator() { Height = 10, Width = 10, FillColor = "#666666" }
                };
                DiagramWebControl1.Model.NodeTemplate = "nodeTemplate";
                DiagramWebControl1.Model.DataSourceSettings.DataSource = GetUMLData();
            }
        }
        public object GetUMLData()
        {
            string allText = System.IO.File.ReadAllText(Server.MapPath("~/App_Data/UML.json"));
            Dictionary<string, object> requestArgs = (Dictionary<string, object>)new JavaScriptSerializer().DeserializeObject(allText);
            return requestArgs["data"];
        }
    }
}