﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="API.aspx.cs" Inherits="WebSampleBrowser.Dialog.API" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="control">
        <ej:Button ID="btnOpen" Type="Button" ClientSideOnClick="btnclick" CssClass="e-btn" Text="Click to open dialog" runat="server"  ClientSideOnCreate="onButtonCreate"></ej:Button>

        <ej:Dialog ID="dialogAPI" ClientSideOnClose="onDialogClose" Content=".cols-sample-area" Title="Essential Grid" runat="server">
            <DialogContent>
                <p>
                    Essential Grid for ASP.NET MVC is a <span>lightweight, AJAX-enabled, high-performance grid component</span> built especially to suit the programming model of the ASP.NET MVC framework.
                </p>
                <p>It has a rich feature set that includes <span>hierarchies, grouping, sorting, paging, data binding, editing, filtering, and several built-in styles.</span> </p>
                <p>Essential Grid is designed for performance and can easily handle millions of records. </p>
                <p>AJAX is extensively used to reduce traffic—only the required data is sent between the client and server, minimizing data transfer and response time.</p>
            </DialogContent>
        </ej:Dialog>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    Dialog Open
                </div>
                <div class="col-md-3">

                    <ej:Button ID="btnDialogOpen" Type="Button" CssClass="e-btn" Text="Dialog Open" Width="107px" ClientSideOnClick="onOpen" runat="server"></ej:Button>
                </div>
                <div class="col-md-3">
                    Dialog Close
                </div>
                <div class="col-md-3">
                    <ej:Button ID="btnDialogClose" Type="Button" CssClass="e-btn" Text="Dialog Close" Width="107px" ClientSideOnClick="onClose" runat="server"></ej:Button>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Dialog IsOpened
                </div>
                <div class="col-md-3">
                    <ej:Button ID="btnDialogIsOpen" Type="Button" CssClass="e-btn" Text="Dialog IsOpen" Width="107px" ClientSideOnClick="onIsOpen" runat="server"></ej:Button>

                </div>
                <div class="col-md-3">
                    Dialog Destroy
                </div>
                <div class="col-md-3">
                    <ej:ToggleButton ID="chkDestroy" runat="server" ClientSideOnChange="onDestoryRestore" DefaultText="Destory" ActiveText="Restore" Width="107px"></ej:ToggleButton>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/Dialog/API.js")%>' type="text/javascript"></script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        #dialogAPI span {
            color: skyblue;
        }

        .control {
            height: 400px;
        }
    </style>
</asp:Content>
