﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="ClientSideEvents.aspx.cs" Inherits="WebSampleBrowser.Dialog.ClientSideEvents" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="control">
        <ej:Button ID="btnOpen" Type="Button" runat="server" ClientSideOnClick="btnclick" Text="Click to open dialog" CssClass="e-btn"  ClientSideOnCreate="onButtonCreate"></ej:Button>
        <ej:Dialog ID="eventDialog" Title="WinRT" runat="server" ClientSideOnCreate="onCreate" ClientSideOnBeforeClose="onBeforeClose" ClientSideOnClose="onDialogClose"
            ClientSideOnBeforeOpen="onBeforeOpen" ClientSideOnOpen="onOpen" ClientSideOnDrag="onDrag" ClientSideOnDragStart="onDragStart" ClientSideOnDragStop="onDragStop"
            ClientSideOnResize="onResize" ClientSideOnResizeStart="onResizeStart" ClientSideOnResizeStop="onResizeStop">
            <DialogContent>
                Essential Studio for WinRT contains all the controls you need to build line-of-business tablet applications <span>including grid, chart, map, tree map, SSRS report viewer, rich-text editor, pdf viewer, gauges, barcode, editors, and much more.</span>
                It also includes a unique set of controls for reading and writing Excel, Word, and PDF documents in Windows store apps.
            </DialogContent>
        </ej:Dialog>
    </div>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="EventSection" runat="server">
    <div class="cols-prop-area event-tracer">
        <div>
            <div class="heading">
                <span>Event Trace</span>
                <div class="pull-right">
                    <ej:DropDownList ID="selectControls" ClientSideOnPopupShown="adjustpopupposition" ClientSideOnCheckChange="evtpropscheckedevent" ShowCheckbox="true" CheckAll="true" runat="server">
                        <Items>
                            <ej:DropDownListItem Value="beforeClose" Text="beforeClose"></ej:DropDownListItem>
                            <ej:DropDownListItem Value="close" Text="close"></ej:DropDownListItem>
                            <ej:DropDownListItem Value="beforeOpen" Text="beforeOpen"></ej:DropDownListItem>
                            <ej:DropDownListItem Value="open" Text="open"></ej:DropDownListItem>
                            <ej:DropDownListItem Value="drag" Text="drag"></ej:DropDownListItem>
                            <ej:DropDownListItem Value="dragStart" Text="dragStart"></ej:DropDownListItem>
                            <ej:DropDownListItem Value="dragStop" Text="dragStop"></ej:DropDownListItem>
                            <ej:DropDownListItem Value="resize" Text="resize"></ej:DropDownListItem>
                            <ej:DropDownListItem Value="resizeStart" Text="resizeStart"></ej:DropDownListItem>
                            <ej:DropDownListItem Value="resizeStop" Text="resizeStop"></ej:DropDownListItem>
                        </Items>
                    </ej:DropDownList>
                </div>

            </div>
            <div class="prop-grid content">
                <div class="eventarea">
                    <div class="EventLog" id="EventLog">
                    </div>
                </div>
                <div class="evtbtn">
                    <ej:Button ID="clearbutton" Type="Button" CssClass="eventclear e-btn" Text="Clear" ClientSideOnClick="onClear" runat="server"></ej:Button>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript" class="jsScript">
        var dialogObj;
        $(function () {
            var dialogObj = $("#eventDialog").data("ejDialog");
            $(".e-dialog-icon,.e-icon e-close").click(function () {
                $("#btnOpen").show();
            });           
        });

        function btnclick() {
            var dialogObj = $("#eventDialog").data("ejDialog");
            dialogObj.open();
            $("#btnOpen").hide();
        }
        function onButtonCreate(e) {
            $("#btnOpen").hide();
        }
        function onCreate(args) {
            jQuery.addEventLog("Dialog has been <span class='eventTitle'>created</span>.");
        }
        function onBeforeClose(args) {
            jQuery.addEventLog("<span class='eventTitle'>BeforeClose</span> event is fired for Dialog.");
        }
        function onDialogClose(args) {
            jQuery.addEventLog("Dialog is <span class='eventTitle'>closed</span>.");
        }
        function onBeforeOpen(args) {
            jQuery.addEventLog("<span class='eventTitle'>BeforeOpen</span> event is fired for Dialog.");
        }
        function onOpen(args) {
            jQuery.addEventLog("Dialog is <span class='eventTitle'>opened</span>.");
        }
        function onDrag(args) {
            jQuery.addEventLog("Dialog is being <span class='eventTitle'>dragged</span>.");
        }
        function onDragStart(args) {
            jQuery.addEventLog("Dialog dragging has been <span class='eventTitle'>started</span>.");
        }
        function onDragStop(args) {
            jQuery.addEventLog("Dialog dragging has been <span class='eventTitle'>stopped</span>.");
        }
        function onResize(args) {
            jQuery.addEventLog("Dialog is being <span class='eventTitle'>resized</span>.");
        }
        function onResizeStart(args) {
            jQuery.addEventLog("Dialog resizing has been <span class='eventTitle'>started</span>.");
        }
        function onResizeStop(args) {
            jQuery.addEventLog("Dialog resizing has been <span class='eventTitle'>stopped</span>.");
        }
        function onClear() {
            jQuery.clearEventLog();
        }
        function evtpropscheckedevent(args) {
            var dpObj = $("#eventDialog").data("ejDialog");
            if (args.isChecked) {
                switch (args.data.itemValue) {
                    case "beforeClose": dpObj.option(args.data.itemValue, "onBeforeClose"); break;
                    case "open": dpObj.option(args.data.itemValue, "onOpen"); break;
                    case "close": dpObj.option(args.data.itemValue, "onDialogClose"); break
                    case "beforeOpen": dpObj.option(args.data.itemValue, "onBeforeOpen"); break;
                    case "drag": dpObj.option(args.data.itemValue, "onDrag"); break;
                    case "dragStart": dpObj.option(args.data.itemValue, "onDragStart"); break;
                    case "dragStop": dpObj.option(args.data.itemValue, "onDragStop"); break
                    case "resize": dpObj.option(args.data.itemValue, "onResize"); break;
                    case "resizeStart": dpObj.option(args.data.itemValue, "onResizeStart"); break;
                    case "resizeStop": dpObj.option(args.data.itemValue, "onResizeStop"); break;
                }
            }
            else {
                dpObj.option(args.data.itemValue, null);
            }
        }
    </script>
</asp:Content>

