#region Copyright Syncfusion Inc. 2001 - 2014
//
//  Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Any infringement will be prosecuted under
//  applicable laws. 
//
#endregion

using System;
using System.IO;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using Syncfusion.DocIO;
using Syncfusion.DocIO.DLS;
using System.ComponentModel;

namespace WebSampleBrowser.DocIO
{
    public partial class CloneAndMerge : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        # region Events
        /// <summary>
        /// Creates word document
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Button1_Click(object sender, EventArgs e)
        {
            // Creating a new document.
            WordDocument doc = new WordDocument();

            // Get the datapath directory information.
            DirectoryInfo dir = new DirectoryInfo(ResolveApplicationDataPath(" "));
            // Enumerates all the document files from the data folder and clone and merge it into new document.
            foreach (FileInfo file in dir.GetFiles("*.doc"))
            {
                if (file.Name == "Adventure.doc" || file.Name == "Northwind.doc")
                {
                    if (rdButtonImport.Checked)
                    {
                        // Imports the template document
                        doc.ImportContent(new WordDocument(file.FullName), (ImportOptions)comboBoxImportOptions.SelectedIndex);
                    }
                    else
                    {
                        // Read the first template document
                        WordDocument document = new WordDocument(file.FullName);
                        // Enumerate all the sections from the template document.
                        foreach (IWSection sec in document.Sections)
                        {
                            // Cloning all the sections one by one and merging it to the new document.
                            doc.Sections.Add(sec.Clone());
                            // Setting section break code to be the same as the template.
                            doc.LastSection.BreakCode = sec.BreakCode;
                        }
                    }
                }
            }

            if (rdButtonWord97To2003.Checked)
            {
                //Save as .doc Word 97-2003 format
                doc.Save("Sample.doc", FormatType.Doc, Response, HttpContentDisposition.Attachment);
            }
            //Save as .docx Word2007 format
            else if (rdButtonWord2007.Checked)
            {
                try
                {
                    doc.Save("Sample.docx", FormatType.Word2007, Response, HttpContentDisposition.Attachment);
                }
                catch (Win32Exception ex)
                {
                    Response.Write("Word 2007 is not installed in this system");
                    Console.WriteLine(ex.ToString());
                }
            }
            //Save as .docx Word2010 format
            else if (rdButtonWord2010.Checked)
            {
                try
                {
                    doc.Save("Sample.docx", FormatType.Word2010, Response, HttpContentDisposition.Attachment);
                }
                catch (Win32Exception ex)
                {
                    Response.Write("Word 2010 is not installed in this system");
                    Console.WriteLine(ex.ToString());
                }
            }
            //Save as .docx Word2013 format
            else if (rdButtonWord2013.Checked)
            {
                try
                {
                    doc.Save("Sample.docx", FormatType.Word2013, Response, HttpContentDisposition.Attachment);
                }
                catch (Win32Exception ex)
                {
                    Response.Write("Word 2013 is not installed in this system");
                    Console.WriteLine(ex.ToString());
                }
            }
        }
        # endregion

        # region Helpher Methods
        /// <summary>
        /// Data folder path is resolved from requested page physical path
        /// </summary>
        /// <param name="fileName"></param>
        /// <returns></returns>
        protected string ResolveApplicationDataPath(string fileName)
        {
            string dataPath = new System.IO.DirectoryInfo(Request.PhysicalPath + "..\\..\\..\\..\\..\\..\\Common\\Data\\DocIO\\").FullName;
            return string.Format("{0}\\{1}", dataPath, fileName);
        }
        protected void rdButtonImport_CheckedChanged(object sender, EventArgs e)
        {
            if ((sender as RadioButton).Checked)
            {
                this.comboBoxImportOptions.Enabled = true;
                this.label3.Enabled = true;
            }
        }
        # endregion
        protected void rdButtonClone_CheckedChanged(object sender, EventArgs e)
        {
            if ((sender as RadioButton).Checked)
            {
                this.comboBoxImportOptions.Enabled = false;
                this.label3.Enabled = false;
            }
        }
    }
}