#region Copyright Syncfusion Inc. 2001 - 2014
// Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.IO;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.ComponentModel;
using Syncfusion.DocIO;
using Syncfusion.DocIO.DLS;

namespace WebSampleBrowser.DocIO
{
    public partial class EncryptAndDecrypt : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void ClickToEncrypt_Click(object sender, EventArgs e)
        {
            if (this.FileUpload1.HasFile && System.IO.Path.GetExtension(this.FileUpload1.PostedFile.FileName).StartsWith(".doc"))
            {
                Stream readFile = this.FileUpload1.PostedFile.InputStream;

                //Open the document
                WordDocument document = new WordDocument(readFile);
                // Getting last section of the document.
                IWSection section = document.LastSection;

                // Adding a paragraph to the section.
                IWParagraph paragraph = section.AddParagraph();

                // Writing text
                IWTextRange text = paragraph.AppendText("This document was encrypted with password");
                text.CharacterFormat.FontSize = 16f;
                text.CharacterFormat.FontName = "Bitstream Vera Serif";

                // Encrypt the document by giving password
                document.EncryptDocument(txtEnOpen.Text);

                # region Save Document

                if (rdButtonWord97To2003.Checked)
                {
                    //Save as .doc Word 97-2003 format
                    document.Save("Sample.doc", FormatType.Doc, Response, HttpContentDisposition.Attachment);
                }
                //Save as .docx Word2007 format
                else if (rdButtonWord2007.Checked)
                {
                    try
                    {
                        document.Save("Sample.docx", FormatType.Word2007, Response, HttpContentDisposition.Attachment);
                    }
                    catch (Win32Exception ex)
                    {
                        Response.Write("Word 2007 is not installed in this system");
                        Console.WriteLine(ex.ToString());
                    }
                }
                //Save as .docx Word2010 format
                else if (rdButtonWord2010.Checked)
                {
                    try
                    {
                        document.Save("Sample.docx", FormatType.Word2010, Response, HttpContentDisposition.Attachment);
                    }
                    catch (Win32Exception ex)
                    {
                        Response.Write("Word 2010 is not installed in this system");
                        Console.WriteLine(ex.ToString());
                    }
                }
                //Save as .docx Word2013 format
                else if (rdButtonWord2013.Checked)
                {
                    try
                    {
                        document.Save("Sample.docx", FormatType.Word2013, Response, HttpContentDisposition.Attachment);
                    }
                    catch (Win32Exception ex)
                    {
                        Response.Write("Word 2013 is not installed in this system");
                        Console.WriteLine(ex.ToString());
                    }
                }
                # endregion
            }

        }
        protected void ClickToDecrypt_Click(object sender, EventArgs e)
        {
            if (this.FileUpload2.HasFile && System.IO.Path.GetExtension(this.FileUpload2.PostedFile.FileName).StartsWith(".doc"))
            {
                Stream readFile = this.FileUpload2.PostedFile.InputStream;

                try
                {
                    //Open the encrypted document
                    WordDocument document = new WordDocument(readFile, txtDeOpen.Text);

                    // Getting last section of the document.
                    IWSection section = document.LastSection;

                    // Adding a paragraph to the section.
                    IWParagraph paragraph = section.AddParagraph();

                    // Writing text
                    IWTextRange text = paragraph.AppendText("\nDemo For Document Decryption with Essential DocIO");
                    text.CharacterFormat.FontSize = 16f;
                    text.CharacterFormat.FontName = "Bitstream Vera Serif";

                    text = paragraph.AppendText("\nThis document is Decrypted");
                    text.CharacterFormat.FontSize = 16f;
                    text.CharacterFormat.FontName = "Bitstream Vera Serif";

                    # region Save Document

                    if (rdButtonWord97To20031.Checked)
                    {
                        //Save as .doc Word 97-2003 format
                        document.Save("Sample.doc", FormatType.Doc, Response, HttpContentDisposition.Attachment);
                    }
                    //Save as .docx Word2007 format
                    else if (rdButtonWord20071.Checked)
                    {
                        try
                        {
                            document.Save("Sample.docx", FormatType.Word2007, Response, HttpContentDisposition.Attachment);
                        }
                        catch (Win32Exception ex)
                        {
                            Response.Write("Word 2007 is not installed in this system");
                            Console.WriteLine(ex.ToString());
                        }
                    }
                    //Save as .docx Word2010 format
                    else if (rdButtonWord20101.Checked)
                    {
                        try
                        {
                            document.Save("Sample.docx", FormatType.Word2010, Response, HttpContentDisposition.Attachment);
                        }
                        catch (Win32Exception ex)
                        {
                            Response.Write("Word 2010 is not installed in this system");
                            Console.WriteLine(ex.ToString());
                        }
                    }
                    //Save as .docx Word2013 format
                    else if (rdButtonWord20131.Checked)
                    {
                        try
                        {
                            document.Save("Sample.docx", FormatType.Word2013, Response, HttpContentDisposition.Attachment);
                        }
                        catch (Win32Exception ex)
                        {
                            Response.Write("Word 2013 is not installed in this system");
                            Console.WriteLine(ex.ToString());
                        }
                    }
                    # endregion
                }
                catch (Exception)
                {
                    this.label1.Text = "Given password is incorrect";

                }
            }
        }
    }
}