﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="DefaultFiltering.aspx.cs" Inherits="WebSampleBrowser.Grid.DefaultFiltering" %>

<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Grid / Filtering /Default Filtering</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div>
        <ej:Grid ID="OrdersGrid" runat="server" AllowFiltering="True" AllowPaging="True">
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="true" TextAlign="Right" Width="90" />
                <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="100" />
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Right" Width="110" />
                <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="90" Format="{0:C}" />
                <ej:Column Field="OrderDate" HeaderText="Order Date" Width="100" TextAlign="Right" Format="{0:MM/dd/yyyy}" />
                <ej:Column Field="ShipCity" HeaderText="Ship City" Width="100" />
            </Columns>
            <FilterSettings FilterBarMode="OnEnter" ShowFilterBarStatus="True" StatusBarWidth="300"></FilterSettings>
        </ej:Grid>
    </div>
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    FilterBar Mode
                </div>
                <div class="col-md-3">
                    <ej:DropDownList ID="filterMode" runat="server" SelectedItemIndex="0" Width="120" ClientSideOnChange="FilterMode">
                        <Items>
                            <ej:DropDownListItem Text="OnEnter" Value="0" />
                            <ej:DropDownListItem Text="Immediate" Value="1" />
                        </Items>
                    </ej:DropDownList>
                </div>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
        });
        function FilterMode(args) {
            var gridobj = $('#OrdersGrid').data("ejGrid");
            if (gridobj != undefined) {
                if (args.itemId == 1) {
                    $('#OrdersGrid').ejGrid("option", { "filterSettings": { filterBarMode: ej.Grid.FilterBarMode.Immediate } });
                } else {
                    $('#OrdersGrid').ejGrid("option", { "filterSettings": { filterBarMode: ej.Grid.FilterBarMode.OnEnter } });
                }
            }
        }
    </script>
</asp:Content>
