﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DetailTemplate.aspx.cs" MasterPageFile="~/Samplebrowser.Master" Inherits="WebSampleBrowser.Grid.DetailTemplate" %>

<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Grid / Rows / Detail Template</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div>
        <ej:Grid ID="EmployeesGrid" runat="server" DetailsTemplate="#tabGridContents">
            <ClientSideEvents DetailsDataBound="detailGridData" />
            <Columns>
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" IsPrimaryKey="True" TextAlign="Right" Width="75" />
                <ej:Column Field="FirstName" HeaderText="First Name" Width="100" />
                <ej:Column Field="Title" HeaderText="Title" Width="120" />
                <ej:Column Field="City" HeaderText="City" Width="100" />
                <ej:Column Field="Country" HeaderText="Country" Width="100" />
            </Columns>
        </ej:Grid>
    </div>
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script src="../Scripts/jsondata.min.js"></script>
    <script id="tabGridContents" type="text/x-jsrender">
        <div class="tabcontrol">
            <ul>
                <li><a href="#detailChart{{:EmployeeID}}">Stock Chart</a>
                </li>
                <li><a href="#gridTab{{:EmployeeID}}">Stock Grid</a>
                </li>
            </ul>
            <div id="detailChart{{:EmployeeID}}"></div>
            <div id="gridTab{{:EmployeeID}}">
                <div id="detailGrid"></div>
            </div>
        </div>
    </script>
    <script type="text/javascript">
        function detailGridData(e) {
            var filteredData = e.data["EmployeeID"];
            // the datasource "window.ordersView" is referred from jsondata.min.js
            var data = ej.DataManager(window.ordersView).executeLocal(ej.Query().where("EmployeeID", "equal", parseInt(filteredData), true));
            e.detailsElement.find("#detailGrid").ejGrid({
                dataSource: data,
                allowSelection: false,
                columns: [
                    { field: "OrderID", key: true, headerText: "Order ID", width: 80, textAlign: ej.TextAlign.Right },
                    { field: "CustomerID", headerText: 'Customer ID', width: 80, textAlign: ej.TextAlign.Left },
                    { field: "CompanyName", headerText: 'Company Name', width: 120, textAlign: ej.TextAlign.Left },
                    { field: "ShipCity", headerText: 'Ship City', width: 120, textAlign: ej.TextAlign.Left }
                ]
            });
            e.detailsElement.css("display", "");
            e.detailsElement.find("#detailChart" + filteredData).ejChart({
                chartArea: {
                    visible: false
                },
                size: { height: '600', width: '650' },
                primaryXAxis:
                {
                    axisLine: { visible: false },
                    majorTickLines: { visible: false },
                    range: { min: 1900, max: 2000, interval: 10 },
                    title: { text: 'Year' },
                },
                primaryYAxis:
                {
                    axisLine: { visible: false },
                    majorTickLines: { visible: false },
                    range: { min: 2, max: 5, interval: 0.5 },
                    title: { text: 'Sales Amount in Billions' },
                },
                series: [
                    {
                        points: [{ x: 1900, y: 4 }, { x: 1920, y: 3.0 }, { x: 1940, y: 3.8 }, { x: 1960, y: 3.4 }, { x: 1980, y: 3.2 }, { x: 2000, y: 3.9 }],
                        name: 'Product A', type: 'Area',
                        animation: true,
                        style: { borderColor: 'transparent', opacity: 0.5, interior: '#69D2E7' }
                    },
                    {
                        points: [{ x: 1900, y: 2.6 }, { x: 1920, y: 2.8 }, { x: 1940, y: 2.6 }, { x: 1960, y: 3 }, { x: 1980, y: 3.6 }, { x: 2000, y: 3 }],
                        name: 'Product B', type: 'Area',
                        animation: true,
                        style: { opacity: 0.5, borderColor: 'transparent', interior: '#C4C24A' }
                    },
                    {
                        points: [{ x: 1900, y: 2.8 }, { x: 1920, y: 2.5 }, { x: 1940, y: 2.8 }, { x: 1960, y: 3.2 }, { x: 1980, y: 2.9 }, { x: 2000, y: 2 }],
                        name: 'Product C', type: 'Area',
                        animation: true,
                        style: { opacity: 0.5, borderColor: 'transparent', interior: '#6A4B82' }
                    }
                ],
                text: 'Average Sales Comparison',
                legend: { visible: true },
            });
            e.detailsElement.find(".tabcontrol").ejTab({ selectedItemIndex: 1 });
        }
    </script>
</asp:Content>
