﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="LockRow.aspx.cs" Inherits="WebSampleBrowser.Grid.LockRow" %>

<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Grid / Editing / Lock Row</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div>
        <ej:Grid ID="OrdersGrid" runat="server" AllowPaging="True" OnServerEditRow="EditEvents_ServerEditRow"> 
            <ClientSideEvents ActionComplete="complete" BeginEdit="beginEdit" EndEdit="endEdit" />
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="true" TextAlign="Right" Width="75" />
                <ej:Column Field="ShipCity" HeaderText="Ship City" Width="120" />
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Right" Width="80" EditType="Numeric" />
                <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="80" Format="{0:C}" EditType="Numeric">
                    <NumericEditOptions DecimalPlaces="2"></NumericEditOptions>
                </ej:Column>
                <ej:Column Field="Verified" HeaderText="Verified" Width="70" EditType="Boolean" />
            </Columns>
            <EditSettings AllowEditing="True"></EditSettings>
        </ej:Grid>
    </div>
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    Disable Row
                </div>
                <div class="col-md-3">
                    <ej:DropDownList ID="autoDefault" runat="server" DataTextField="OrderID" Width="120px"
                        ShowCheckbox="True" ItemsCount="5">
                    </ej:DropDownList>
                </div>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
        });
        function beginEdit(args) {
            var selectItems = $("#autoDefault").ejDropDownList("model.value").split(',');
            if ($.inArray(args.primaryKeyValue[0].toString(), selectItems) != -1)
                args.cancel = true;
        }      
        function endEdit(args) {
            $("#OrdersGrid").ejWaitingPopup("show");
        }
        function complete(args) {
            if (args.requestType == "refresh") {
                $("#OrdersGrid").ejWaitingPopup("hide");
            }
        }
    </script>
</asp:Content>
