﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="MultiSorting.aspx.cs" Inherits="WebSampleBrowser.Grid.MultiSorting" %>

<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Grid / Sortings / Multi Sortings</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div>
        <ej:Grid ID="OrdersGrid" runat="server" AllowSorting="true" AllowMultiSorting="True" AllowPaging="True">
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="true" TextAlign="Right" Width="90" />
                <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="100" />
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Right" Width="110" />
                <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="90" Format="{0:C}" />
                <ej:Column Field="OrderDate" HeaderText="Order Date" Width="100" TextAlign="Right" Format="{0:MM/dd/yyyy}" />
                <ej:Column Field="ShipCity" HeaderText="Ship City" Width="100" />
            </Columns>
        </ej:Grid>
    </div>
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    MultiSorting
                </div>
                <div class="col-md-3">
                    <ej:CheckBox ID="multisorting" runat="server" Checked="True" ClientSideOnChange="MultiSorting"></ej:CheckBox>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Order ID
                </div>
                <div class="col-md-3">
                    <ej:CheckBox ID="OrderID" runat="server" ClientSideOnChange="MultiSorting"></ej:CheckBox>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Customer ID
                </div>
                <div class="col-md-3">
                    <ej:CheckBox ID="CustomerID" runat="server" ClientSideOnChange="MultiSorting"></ej:CheckBox>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Employee ID
                </div>
                <div class="col-md-3">
                    <ej:CheckBox ID="EmployeeID" runat="server" ClientSideOnChange="MultiSorting"></ej:CheckBox>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Freight
                </div>
                <div class="col-md-3">
                    <ej:CheckBox ID="Freight" runat="server" ClientSideOnChange="MultiSorting"></ej:CheckBox>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Order Date
                </div>
                <div class="col-md-3">
                    <ej:CheckBox ID="OrderDate" runat="server" ClientSideOnChange="MultiSorting"></ej:CheckBox>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Ship City
                </div>
                <div class="col-md-3">
                    <ej:CheckBox ID="ShipCity" runat="server" ClientSideOnChange="MultiSorting"></ej:CheckBox>
                </div>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
        });
        function MultiSorting(args) {
            var gridobj = $('#OrdersGrid').data("ejGrid");
            if (gridobj != undefined) {
                var clkVal = this.element[0].id.replace("ej", "");
                if (clkVal == "multisorting") {
                    if (args.isChecked) {
                        $('#multisorting,#OrderID, #CustomerID, #EmployeeID, #Freight, #OrderDate, #ShipCity').ejCheckBox("enable");
                        gridobj.model.allowMultiSorting = true;
                    } else {
                        gridobj.model.allowMultiSorting = false;
                        $('#OrderID').ejCheckBox("option", { "checked": false });
                        $('#CustomerID').ejCheckBox("option", { "checked": false });
                        $('#EmployeeID').ejCheckBox("option", { "checked": false });
                        $('#Freight').ejCheckBox("option", { "checked": false });
                        $('#OrderDate').ejCheckBox("option", { "checked": false });
                        $('#ShipCity').ejCheckBox("option", { "checked": false });
                        $('#OrderID, #CustomerID, #EmployeeID, #Freight, #OrderDate, #ShipCity').ejCheckBox("disable");
                        $('#OrdersGrid').ejGrid("clearSorting");
                    }
                } else {
                    if (args.isChecked) {
                        gridobj.multiSortRequest = gridobj.model.allowMultiSorting;
                        $('#OrdersGrid').ejGrid("sortColumn", this.element.find("input")[0].id);
                    } else {
                        gridobj.multiSortRequest = false;
                        gridobj.model.sortSettings.sortedColumns = gridobj.model.sortSettings.sortedColumns.filter(function (index) {
                            return index.field != clkVal;
                        });
                        $('#OrdersGrid').ejGrid("refreshContent");
                    }
                }
            }
        }
    </script>
</asp:Content>

