﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ObservableKO.aspx.cs" MasterPageFile="~/Samplebrowser.Master" Inherits="WebSampleBrowser.Grid.ObservableKO" %>

<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Grid / ObservableArray Binding / Knockout Support</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div>
        <div id="Grid" data-bind="ejGrid: { dataSource: dataSource, allowGrouping: true, allowSorting: true, allowPaging: true, selectedRowIndex: selectedRowIndex, pageSettings: { currentPage: currentPage, pageSize: 4 }, actionBegin: actionBegin }"></div>
    </div>
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    Selected Row
                </div>
                <div class="col-md-3">
                    <input type="text" id="selectedRow" value="" data-bind="ejNumericTextbox: { value: selectedRowIndex, minValue: -1, maxValue: 3, width: '100px' }" data-bind="    value: selectedRowIndex" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Current Page
                </div>
                <div class="col-md-3">
                    <input type="text" value="" data-bind="ejNumericTextbox: { value: currentPage, minValue: 1, maxValue: 4, width: '100px' }" data-bind="    value: currentPage" />
                </div>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script src="../Scripts/knockout-min.js"></script>
    <script src="../Scripts/ej/ej.widget.ko.min.js"></script>
    <script type="text/javascript">
        $(function () {
            var obj = [
            { "EmployeeID": 1, "LastName": "Davolio", "FirstName": "Nancy", "Title": "Sales Representative", "City": "Seattle", "Country": "USA" },
            { "EmployeeID": 2, "LastName": "Fuller", "FirstName": "Andrew", "Title": "Vice President, Sales", "City": "Tacoma", "Country": "USA" },
            { "EmployeeID": 3, "LastName": "Leverling", "FirstName": "Janet", "Title": "Sales Representative", "City": "Kirkland", "Country": "USA" },
            { "EmployeeID": 4, "LastName": "Peacock", "FirstName": "Margaret", "Title": "Sales Representative", "City": "Redmond", "Country": "USA" },
            { "EmployeeID": 5, "LastName": "Buchanan", "FirstName": "Steven", "Title": "Sales Manager", "City": "London", "Country": "UK" },
            { "EmployeeID": 6, "LastName": "Suyama", "FirstName": "Michael", "Title": "Sales Representative", "City": "London", "Country": "UK" },
            { "EmployeeID": 7, "LastName": "King", "FirstName": "Robert", "Title": "Sales Representative", "City": "London", "Country": "UK" },
            { "EmployeeID": 8, "LastName": "Callahan", "FirstName": "Laura", "Title": "Inside Sales Coordinator", "City": "Seattle", "Country": "USA" },
            { "EmployeeID": 9, "LastName": "Dodsworth", "FirstName": "Anne", "Title": "Sales Representative", "City": "London", "Country": "UK" },
            { "EmployeeID": 4, "LastName": "Peacock", "FirstName": "Margaret", "Title": "Sales Representative", "City": "Redmond", "Country": "USA" },
            { "EmployeeID": 5, "LastName": "Buchanan", "FirstName": "Steven", "Title": "Sales Manager", "City": "London", "Country": "UK" },
            { "EmployeeID": 6, "LastName": "Suyama", "FirstName": "Michael", "Title": "Sales Representative", "City": "London", "Country": "UK" },
            { "EmployeeID": 7, "LastName": "King", "FirstName": "Robert", "Title": "Sales Representative", "City": "London", "Country": "UK" },
            { "EmployeeID": 8, "LastName": "Callahan", "FirstName": "Laura", "Title": "Inside Sales Coordinator", "City": "Seattle", "Country": "USA" },
            { "EmployeeID": 9, "LastName": "Dodsworth", "FirstName": "Anne", "Title": "Sales Representative", "City": "London", "Country": "UK" },
            { "EmployeeID": 10, "LastName": "Peacock", "FirstName": "Margaret", "Title": "Sales Representative", "City": "London", "Country": "UK" }
            ];
            $("#sampleProperties").ejPropertiesPanel();
            window.employeeView = {
                dataSource: ko.observableArray(obj),
                selectedRowIndex: ko.observable(1),
                currentPage: ko.observable(2),
                actionBegin: ko.observable(function (args) {
                    if (args.requestType == "grouping")
                        $("#selectedRow").ejNumericTextbox("option", { value: -1 });
                })
            };
            ko.applyBindings(employeeView);
        });
    </script>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        b {
            white-space: nowrap;
        }
    </style>
</asp:Content>
