﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="ServerEditEvents.aspx.cs" Inherits="WebSampleBrowser.Grid.ServerEditEvents" %>

<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Grid / Server Side Events / EditEvents</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div>
        <ej:Grid ID="OrdersGrid" runat="server" AllowPaging="True" OnServerRecordDoubleClick="EditEvents_ServerRecordDoubleClick"
            OnServerEditRow="EditEvents_ServerEditRow" OnServerAddRow="EditEvents_ServerAddRow" OnServerDeleteRow="EditEvents_ServerDeleteRow">
            <ClientSideEvents ActionComplete="complete" EndAdd="endAdd" EndDelete="endDelete" EndEdit="endEdit" RecordDoubleClick="doubleClick" />
            <EditSettings AllowEditing="True" AllowAdding="true" AllowDeleting="True"></EditSettings>
            <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel"></ToolbarSettings>
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="True" TextAlign="Right" Width="75" />
                <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="80" />
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Right" Width="75" />
                <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="75" Format="{0:C}" EditType="Numeric" >
                <NumericEditOptions DecimalPlaces="2" ></NumericEditOptions>
                </ej:Column>
                <ej:Column Field="ShipCity" HeaderText="Ship City" Width="110" />
            </Columns>
        </ej:Grid>       
    </div>    
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="EventSection">
    <div class="cols-prop-area event-tracer">
        <div>
            <div class="heading">
                <span>Event Trace</span>
            </div>
            <div class="prop-grid content">
                <div class="eventarea">
                    <div class="EventLog" id="EventLog">
                        <div id="serverEvent" class="sf-event-panel" runat="server">
                        </div>
                    </div>
                </div>
                <div class="evtbtn">
                    <ej:Button ID="Clear" runat="server" Type="Button" Text="Clear" OnClick="Clear_OnClick"></ej:Button>
                </div>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">        
    <script type="text/javascript">        
        function doubleClick(args) {
            $("#OrdersGrid").ejWaitingPopup("show");
        }
        function endAdd(args) {
            $("#OrdersGrid").ejWaitingPopup("show");
        }
        function endDelete(args) {
            $("#OrdersGrid").ejWaitingPopup("show");
        }
        function endEdit(args) {
            $("#OrdersGrid").ejWaitingPopup("show");
            localStorage.setItem("index", "null");
        }
        function complete(args) {
            if (args.requestType == "beginedit")
                localStorage.setItem("index", $("#OrdersGrid").find("tr.e-editedrow").index());
            if (args.requestType == "refresh") {
                $("#OrdersGrid").ejWaitingPopup("hide");
                var gridObj = $("#OrdersGrid").data("ejGrid");
                index = localStorage.getItem("index");
                tr = gridObj.getContentTable().find("tr")[index];
                if (tr != undefined) {
                    setTimeout(function () {
                        gridObj.startEdit($(tr));
                        localStorage.setItem("index", "null");
                    }, 100);
                }
            }
        }
    </script>
</asp:Content>
