﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Ranges.aspx.cs" Inherits="WebSampleBrowser.LinearGauge.Ranges" %>

<%@ Register Assembly="Syncfusion.EJ" Namespace="Syncfusion.JavaScript.DataVisualization.Models" TagPrefix="ej" %>


<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="HeadSection">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/excanvas.min.js")%>' type="text/javascript"></script>
</asp:Content>


<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div align="center">
  <ej:LinearGauge runat="server" ID="RangeGauge" LabelColor="#8c8c8c" Load="loadGaugeTheme">
            <Scales>
                <ej:Scales Width="4" BackgroundColor="transparent" ShowMarkerPointers="false" ShowRanges="true" Length="310" >
                    <Border Color="transparent" Width="0"></Border>
                    <Position x="50" Y="50"/>
                    <BarPointerCollection>
                        <ej:BarPointers BarPointerValue="100" Width="4" BarPointerBackgroundColor="#6FAAB0"></ej:BarPointers>
                    </BarPointerCollection>
                    <LabelCollection>
                        <ej:Labels><DistanceFromScale X="-13"></DistanceFromScale>
                            <Font FontFamily="Segoe UI" FontStyle="Bold" Size="11px"></Font>
                        </ej:Labels>
                    </LabelCollection>
                    <TickCollection>
                        <ej:LinearTicks Type="MajorInterval" Width="1" Color="#8c8c8c"/>
                    </TickCollection>
                    <RangeCollection>
                        <ej:Ranges DistanceFromScale="16" StartValue="0" EndValue="50" RangeBackgroundColor="#F6B53F" EndWidth="18" StartWidth="3"><Border Color="#F6B53F"></Border></ej:Ranges>
                        <ej:Ranges DistanceFromScale="16" StartValue="70" EndValue="100" RangeBackgroundColor="#E94649" EndWidth="3" StartWidth="18"><Border Color="#E94649"></Border></ej:Ranges>
                    </RangeCollection>
                </ej:Scales>
            </Scales> 
        </ej:LinearGauge>
        </div>
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript" class="jsScript">
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
        });
        $(document).ready(function () {
            var placement = $("#ddlRangePlacement").data("ejDropDownList");
            placement.option({ selectedItemIndex: 0 });
            var rangeid = $("#rangeid").data("ejDropDownList");
            rangeid.option({ selectedItemIndex: 0 });
        });

        function onchange1(args) {
            var startslide = $("#startvalue").data("ejSlider");
            var endslide = $("#endvalue").data("ejSlider");
            var startwidth = $("#startwidth").data("ejSlider");
            var endwidth = $("#endwidth").data("ejSlider");
            var gaugestart = $("#RangeGauge").data("ejLinearGauge");
            if (args.text == "Range1") {
                startwidth.model.minValue = -5;
                startwidth.model.maxValue = 20;
                startwidth.setModel({ value: gaugestart.model.scales[0].ranges[0].startWidth });
                endwidth.model.minValue = 0;
                endwidth.model.maxValue = 20;
                endwidth.setModel({ value: gaugestart.model.scales[0].ranges[0].endWidth });
                startslide.model.minValue = -5;
                startslide.model.maxValue = 50;
                startslide.setModel({ value: gaugestart.model.scales[0].ranges[0].startValue });
                endslide.model.minValue = 5;
                endslide.model.maxValue = startslide.model.maxValue + 3;
                endslide.setModel({ value: gaugestart.model.scales[0].ranges[0].endValue });;
            }
            else if (args.text == "Range2") {
                startwidth.model.minValue = 0;
                startwidth.model.maxValue = 20;
                startwidth.setModel({ value: gaugestart.model.scales[0].ranges[1].startWidth });
                endwidth.model.minValue = -5;
                endwidth.model.maxValue = 20;
                endwidth.setModel({ value: gaugestart.model.scales[0].ranges[1].endWidth });
                startslide.model.minValue = 67;
                startslide.model.maxValue = 100;
                startslide.setModel({ value: gaugestart.model.scales[0].ranges[1].startValue });
                endslide.model.minValue = 75;
                endslide.model.maxValue = startslide.model.maxValue + 3;
                endslide.setModel({ value: gaugestart.model.scales[0].ranges[1].endValue });
            }
        }

        function onchange(args) {
            var gaugetarget = $("#RangeGauge").data("ejLinearGauge");
            var target1 = $("#rangeid").data("ejDropDownList");
            var endslide = $("#endvalue").data("ejSlider");
            var endwidth = $("#endwidth").data("ejSlider");
            var startslide = $("#startvalue").data("ejSlider");

            if (target1.selectedTextValue == "Range1") {
                if (args.id == "startwidth") {
                    if (args.value >= 0)
                        gaugetarget.setRangeStartWidth(0, 0, args.value);
                }
                else if (args.id == "endwidth") {
                    gaugetarget.setRangeEndWidth(0, 0, args.value);
                }
                else if (args.id == "startvalue") {
                    gaugetarget.setRangeStartValue(0, 0, args.value);
                    endslide.model.minValue = args.value
                    endslide.model.maxValue = 50;
                    endslide._initialize();
                }
                else if (args.id == "endvalue") {
                    gaugetarget.setRangeEndValue(0, 0, args.value);
                    startslide.model.minValue = 0;
                    startslide.model.maxValue = args.value;
                    startslide._initialize();
                }

            }
            else if (target1.selectedTextValue == "Range2") {
                if (args.id == "startwidth") {
                    gaugetarget.setRangeStartWidth(0, 1, args.value);
                }
                else if (args.id == "endwidth") {
                    if (args.value >= 0)
                        gaugetarget.setRangeEndWidth(0, 1, args.value);
                }
                else if (args.id == "startvalue") {
                    gaugetarget.setRangeStartValue(0, 1, args.value);
                    endslide.model.minValue = args.value;
                    endslide.model.maxValue = 100;
                    endslide._initialize();
                }
                else if (args.id == "endvalue") {
                    gaugetarget.setRangeEndValue(0, 1, args.value);
                    startslide.model.minValue = 70;
                    startslide.model.maxValue = args.value;
                    startslide._initialize();
                }

            }
            if (args.id == "pointervalue") {
                gaugetarget.setBarPointerValue(0, 0, args.value);
            }
            if (args.value == "far" || args.value == "near" || args.value == "center") {
                gaugetarget.setRangePosition(0, 0, args.value);
                gaugetarget.setRangePosition(0, 1, args.value);
            }
        }
     </script>
</asp:Content>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                   Select Range
                </div>
                <div class="col-md-3">
                    <ej:DropDownList runat="server" ID="rangeid" Width="115px" SelectedItemIndex="0" ClientSideOnChange="onchange1">
                        <Items>
                            <ej:DropDownListItem Value="Range1" Text="Range1"/>
                            <ej:DropDownListItem Value="Range2" Text="Range2"/>
                        </Items>
                    </ej:DropDownList>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                   Start Width
                </div>
                <div class="col-md-3">
                    <ej:Slider ID="startwidth" runat="server" SliderType="MinRange" Value="3" Height="10" Width="110" MinValue="0" MaxValue="10" EnableAnimation="true" ClientSideOnChange="onchange" ClientSideOnSlide="onchange" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                   End Width
                </div>
                <div class="col-md-3">
                    <ej:Slider ID="endwidth" runat="server" SliderType="MinRange" Value="18" Height="10" Width="110" MinValue="0" MaxValue="20" EnableAnimation="true" ClientSideOnChange="onchange" ClientSideOnSlide="onchange" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                   Start Value
                </div>
                <div class="col-md-3">
                    <ej:Slider ID="startvalue" runat="server" SliderType="MinRange" Value="1" Height="10" Width="110" MinValue="0" MaxValue="10" EnableAnimation="true" ClientSideOnChange="onchange" ClientSideOnSlide="onchange" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                   End Value
                </div>
                <div class="col-md-3">
                    <ej:Slider ID="endvalue" runat="server" SliderType="MinRange" Value="50" Height="10" Width="110" MinValue="0" MaxValue="100" EnableAnimation="true" ClientSideOnChange="onchange" ClientSideOnSlide="onchange" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                   Pointer Value
                </div>
                <div class="col-md-3">
                    <ej:Slider ID="pointervalue" runat="server" SliderType="MinRange" Value="100" Height="10" Width="110" MinValue="0" MaxValue="100" EnableAnimation="true" ClientSideOnChange="onchange" ClientSideOnSlide="onchange" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                   Placement
                </div>
                <div class="col-md-3">
                    <ej:DropDownList runat="server" ID="ddlRangePlacement" Width="115px" SelectedItemIndex="1" ClientSideOnChange="onchange">
                        <Items>
                            <ej:DropDownListItem Value="far" Text="Far"/>
                            <ej:DropDownListItem Value="near" Text="Near"/>
                            <ej:DropDownListItem Value="center" Text="Center"/>
                        </Items>
                    </ej:DropDownList>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
