﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="ChartTypes.aspx.cs" Inherits="WebSampleBrowser.ChartTypes" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ControlsSection">
    <ej:OlapChart ID="OlapChart1" runat="server" Url="../wcf/OlapChartService.svc">
        <CommonSeriesOptions Type="Column" Tooltip-Visible="true" />
        <ClientSideEvents Load="loadTheme" />
    </ej:OlapChart>
</asp:Content>
<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3" style="width: 75px; padding-top: 3px; margin-top: 18px">
                    Chart Type
                </div>
                <div class="col-md-3" style="margin-top: 17px">
                    <select id="chartType">
                        <option value="line" selected="selected">Line</option>
                        <option value="spline">Spline</option>
                        <option value="column">Column</option>
                        <option value="area">Area</option>
                        <option value="splinearea">SplineArea</option>
                        <option value="stepline">StepLine</option>
                        <option value="steparea">StepArea</option>
                        <option value="pie">Pie</option>
                        <option value="bar">Bar</option>
                        <option value="stackingarea">StackingArea</option>
                        <option value="stackingcolumn">StackingColumn</option>
                        <option value="stackingbar">StackingBar</option>
                        <option value="pyramid">Pyramid</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">
        var ddlTarget, chartTarget;
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
            $("#chartType").ejDropDownList({
                fields: { text: "option" },
                width: "110px"
            });
            ddlTarget = $('#chartType').data("ejDropDownList");
            ddlTarget.setSelectedText(ddlTarget.items[2].innerHTML);
            chartTarget = $('#OlapChart1').data("ejOlapChart");
            $("#chartType").ejDropDownList("option", "change", "ChartTypeChanged");
        });
        function ChartTypeChanged(args) {
            chartTarget.model.type = args.text.toLowerCase();
            chartTarget.model.commonSeriesOptions.type = args.text.toLowerCase();
            if (jQuery.inArray(chartTarget.model.type, ["line", "spline", "area", "splinearea", "stepline", "steparea", "stackingarea"]) > -1)
                chartTarget.model.commonSeriesOptions.marker = {
                    shape: ej.olap.OlapChart.SymbolShapes.Circle,
                    size: { height: 12, width: 12 },
                    visible: true, connectorLine: { height: 30, type: "line" },
                    border: { width: 3, color: 'white' }
                };
            else
                chartTarget.model.commonSeriesOptions.marker = { visible: false };
            if (chartTarget.model.type == "pie" || chartTarget.model.type == "pyramid")
                chartTarget.model.legend = { visible: true, rowCount: 2 };
            else
                chartTarget.model.legend = { visible: true, rowCount: 2 };
            chartTarget.renderControlSuccess({ "JsonRecords": JSON.stringify(chartTarget.getJsonRecords()), "OlapReport": chartTarget.getOlapReport() });
        }
    </script>
</asp:Content>
<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="StyleSection">
    <style type="text/css">
        #OlapChart1
        {
            width: 720px;
            float: left;
            height: 450px;
        }
        .row .cols-prop-area
        {
            width: 22%;
            min-height: 140px;
        }
        .row .cols-sample-area
        {
            width: 75.7%;
        }
    </style>
</asp:Content>
