﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="KOModelBinding.aspx.cs" Inherits="WebSampleBrowser.KOModelBinding" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ControlsSection">

    <html xmlns="http://www.w3.org/1999/xhtml">
        <body>
            <div class="control">
                <div id="OlapChart1" data-bind="ejOlapChart: { url: url, title: {text: title}, commonSeriesOptions: {type: type, tooltip: {visible: showTooltip}},load:'loadTheme' }" />
            </div>
        </body>
    </html>
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3" style="width:90px;padding-top:7px">
                    Chart Type
                </div>
                <div class="col-md-3 aligntop"style="margin-left:10px">
                    <input type="text" id="chartType" name="name" class="e-ejinputtext" data-bind="ejDropDownList: {dataSource: list, value: type, width: width}" />
                </div>
            </div>                      
            <div class="row">
                <div class="col-md-3" style="width:90px; padding-top:20px">
                    Chart Title
                </div>
                <div class="col-md-3 aligntop">
                    <textarea type="text" class="input ejinputtext" name="slide" value="" data-bind="value: title" style="resize:none;width:120px;margin-left:10px;height:45px" ></textarea>
                </div>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="ScriptSection">

      <script src='<%= Page.ResolveClientUrl("~/Scripts/knockout-min.js")%>' type="text/javascript"></script>
      <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.ko.min.js")%>' type="text/javascript"></script>

    <script type="text/javascript" class="jsScript">
        var cSize = { height: 460, width: 650 },
                                PXaxis = { title: { text: "Fiscal Year" }, labelRotation: 0 },
                                PYaxis = { title: { text: "Customer Count" } },
                                cLegend = { visible: true, rowCount: 2 };
        var chartTypes = [{ text: "Column", value: "column" }, { text: "Line", value: "line" }, { text: "Spline", value: "spline" }, { text: "Area", value: "area" }, { text: "Bar", value: "bar" },
                        { text: "Pie", value: "pie" }, { text: "Pyramid", value: "pyramid" }, { text: "StepLine", value: "stepline" }, { text: "SplineArea", value: "splinearea" }, { text: "StepArea", value: "steparea" },
                        { text: "StackingArea", value: "stackingarea" }, { text: "StackingColumn", value: "stackingcolumn" }, { text: "StackingBar", value: "stackingbar" }, { text: "Funnel", value: "funnel" }];
        window.viewModel = {
            url: ko.observable("../wcf/OlapChartService.svc"),
            title: ko.observable("OLAP Chart in Essential JS"),
            type: ko.observable(ej.olap.OlapChart.ChartTypes.Column),
            showTooltip: ko.observable(true),
            list: ko.observable(chartTypes),
            width: ko.observable("100px")
        };
        $(function () {
            ko.applyBindings(viewModel);
            $("#sampleProperties").ejPropertiesPanel();
        });
    </script>
</asp:Content>

<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="StyleSection">
    <style type="text/css">
        #OlapChart1 {
            min-height: 275px; 
            min-width: 325px; 
            height: 460px; 
            width: 660px;
            float:left;
        }
        .row .cols-sample-area {
            width:100%;
        }
        .row .cols-prop-area {            
            width: 27%;            
        }
        .cols-prop-area .content {
            height:200px;
        }       
    </style>
</asp:Content>
