﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Localization.aspx.cs" Inherits="WebSampleBrowser.Localization" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ControlsSection">
    <ej:OlapChart ID="OlapChart1" runat="server" Url="../wcf/OlapChartService.svc" Locale="en-US" >
        <CommonSeriesOptions Tooltip-Visible="true" />
        <ClientSideEvents Load="loadTheme" />
    </ej:OlapChart>
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3" style="width:80px; padding-top:3px; margin-top:20px">
                   Select Type
                </div>
                <div class="col-md-3" style="margin-top:19px">
                   <select id="drpdwn">
                      <option value="en-US">en-US</option>
                      <option value="fr-FR">fr-FR</option>
                      <option value="zh-CN">zh-CN</option>
                   </select>
                </div>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">   
    <script type="text/javascript">
        var ddlTarget, chartTarget;
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
            $("#drpdwn").ejDropDownList({
                fields: { text: "option" },
                width: "110px"
            });

            ddlTarget = $('#drpdwn').data("ejDropDownList");
            ddlTarget.setSelectedText(ddlTarget.items[0].innerHTML);
            chartTarget = $('#OlapChart1').data("ejOlapChart");
            $("#drpdwn").ejDropDownList("option", "change", "Language");
        });
        function Language(args) {
            chartTarget.model.locale = args.value;
            chartTarget.renderControlSuccess({ "JsonRecords": JSON.stringify(chartTarget.getJsonRecords()), "OlapReport": chartTarget.getOlapReport() });
        }
        ej.olap.OlapChart.locale["fr-FR"] = {
            Measure: "Mesure",
            Row: "Rangée",
            Column: "Colonne",
            Value: "Valeur",
            Expand: "Développer",
            Collapse: "Effondrement",
            Exit: "Quitter",
            MDXqueryExecutionFailed: "L'exécution de la requête MDX pas",
            PreparingAndExecutingMDXquery: "la préparation et l'exécution de la requête MDX",
            MDXqueryExecutedSuccessfully: "MDX requête exécutée avec succès",
            RenderingStarted: "Rendu commencé",
            RenderingSucceeded: "Rendu réussi",
            RenderingFailed: "Rendant pas"
        };
        ej.olap.OlapChart.locale["zh-CN"] = {
            Measure: "措施",
            Row: "排",
            Column: "柱",
            Value: "值",
            Expand: "扩大",
            Collapse: "崩溃",
            Exit: "出口",
            PreparingAndExecutingMDXquery: "准备和执行MDX查询",
            MDXqueryExecutionFailed: "MDX查询执行失败",
            MDXqueryExecutedSuccessfully: "MDX查询执行成功",
            RenderingStarted: "渲染开始",
            RenderingSucceeded: "绘制成功",
            RenderingFailed: "渲染失败"
        };
    </script>
</asp:Content>

<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="StyleSection">
    <style type="text/css">
        #OlapChart1 {
            width: 720px;
            float:left;
            height:450px;
        }
        .row .cols-prop-area {
            width:22%;
            min-height:140px;
        }
        .row .cols-sample-area{
            width:75.7%;
        }
    </style>
</asp:Content>