﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Customization.aspx.cs" Inherits="WebSampleBrowser.Customization" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ControlsSection">
    <ej:OlapClient ID="OlapClient1" runat="server" Url="../wcf/OlapClientService.svc">
        <ClientSideEvents ChartLoad="setChartProperties" />
    </ej:OlapClient>
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    Control Placement:
                </div>
                <div class="col-md-3">
                    <input type="text" id="ctrlPlace" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Display Mode:
                </div>
                <div class="col-md-3">
                    <input type="text" id="dispMode" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Default View:
                </div>
                <div class="col-md-3">
                    <table>
                        <tr>
                            <td class="chkrad">
                                <input type="radio" name="dftView" id="Radio1" /><label for="Radio1" class="clslab">Chart</label>
                            </td>
                            <td class="chkrad" colspan="2">
                                <input type="radio" name="dftView" id="Radio2" /><label for="Radio2" class="clslab">Grid</label>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Toggle Panel:
                </div>
                <div class="col-md-3">
                    <table>
                        <tr>
                            <td class="chkrad">
                                <input type="radio" name="tglPln" id="Radio3" /><label for="Radio3" class="clslab">True</label>
                            </td>
                            <td class="chkrad" colspan="2">
                                <input type="radio" name="tglPln" id="Radio4" /><label for="Radio4" class="clslab">False</label>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
            <div class="row">
                <input type="button" id="Btn1" value="Apply" />
            </div>
       </div>
   </div>
</asp:Content>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript" class="jsScript">
        var clientTarget;
        var ddlTarget1; var ddlTarget2; var btnTarget; 
        var rbTarget1; var rbTarget2; var rbTarget3; var rbTarget4;
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
            $("#Radio1").ejRadioButton();
            $("#Radio2").ejRadioButton({ checked: true });
            $("#Radio3").ejRadioButton();
            $("#Radio4").ejRadioButton({ checked: true });
            $("#Btn1").ejButton({
                roundedCorner: true,
                size: "small",
                click: "ApplyChanges"
            });
            var controlPalcements = [{ option: "Tab", value: ej.olap.OlapClient.ControlPlacement.Tab }, { option: "Tile", value: ej.olap.OlapClient.ControlPlacement.Tile}];
            var displayModes = [{ option: "Chart Only", value: ej.olap.OlapClient.DisplayMode.ChartOnly }, { option: "Grid Only", value: ej.olap.OlapClient.DisplayMode.GridOnly }, { option: "Chart and Grid", value: ej.olap.OlapClient.DisplayMode.ChartAndGrid}];
            $('#ctrlPlace').ejDropDownList({
                dataSource: controlPalcements,
                fields: { text: "option", value: "value" }
            });
            $('#dispMode').ejDropDownList({
                dataSource: displayModes,
                fields: { text: "option", value: "value" }
            });
            ddlTarget1 = $('#ctrlPlace').data("ejDropDownList");
            ddlTarget2 = $('#dispMode').data("ejDropDownList");
            rbTarget1 = $('#Radio1').data("ejRadioButton"); rbTarget2 = $('#Radio2').data("ejRadioButton");
            rbTarget3 = $('#Radio3').data("ejRadioButton"); rbTarget4 = $('#Radio4').data("ejRadioButton");
            ddlTarget1.setSelectedText(ddlTarget1.model.dataSource[0].option);
            ddlTarget2.setSelectedText(ddlTarget2.model.dataSource[2].option);
            clientTarget = $("#OlapClient1").data("ejOlapClient");
        });
        var isInitClick = true;
        function ApplyChanges(args) {
            if (isInitClick && ddlTarget1.model.text == "Tab" && ddlTarget2.model.text == "Chart and Grid"
            && rbTarget3.model.checked && rbTarget4.model.check)
                return false;
            else {
                var ctlPlace = ddlTarget1.model.text == "Tab" ? "tab" : ddlTarget1.model.text == "Tile" ? "tile" : "";
                var dispMode = ddlTarget2.model.dataSource[ddlTarget2.selectedIndexValue].value;
                var dftView = rbTarget1.model.checked ? "chart" : rbTarget2.model.checked ? "grid" : "chart";
                var tglPanel = rbTarget3.model.checked ? true : rbTarget4.model.checked ? false : false;
                isInitClick = false;
                clientTarget.model.displaySettings.mode = dispMode;
                clientTarget.model.displaySettings.defaultView = dftView;
                clientTarget.model.displaySettings.controlPlacement = ctlPlace;
                clientTarget.model.displaySettings.enableTogglePanel = tglPanel;
                clientTarget.model.chartLoad = "setChartProperties"
                var serializedCustomObject = JSON.stringify({});
                var oclientWaitingPopup = $("#" + clientTarget._id).data("ejWaitingPopup");
                oclientWaitingPopup.show();
                clientTarget.doAjaxPost("POST", clientTarget.model.url + "/" + clientTarget.model.serviceMethodSettings.initialize, JSON.stringify({
                    "action": "initializeClient", "customObject": serializedCustomObject, "clientParams": clientTarget.model.enableMeasureGroups + "-" + clientTarget.model.chartType
                }), clientTarget._renderControlSuccess);
            }
        }
        function OnLoad(args) {
        }
        function setChartProperties(args) {
            this.model.load = "loadTheme";
            this.model.primaryXAxis = { title: { text: "Fiscal Year" }, labelRotation: 270 };
            this.model.primaryYAxis = { title: { text: "Customer Count"} };
        }
    </script>
</asp:Content>

<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="StyleSection">
    <style type="text/css">
        #OlapClient1 {
            min-height: 300px; 
            min-width: 950px;
            width:100%;
            overflow:auto;
            float:left;
            margin-left:-16px;
        }
        .cols-sample-area
        {
            width:100%!important;              
        }
        .row .cols-prop-area
        {
            min-height: 250px;
            width: 51%;
            margin-top:-5px;
            margin-left:-1px;
            float:left;            
        }
    </style>
</asp:Content>