﻿<%@ Page Language="C#"  MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Localization.aspx.cs" Inherits="WebSampleBrowser.Localization" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ControlsSection">
     <script src='<%= Page.ResolveClientUrl("~/Scripts/excanvas.min.js")%>' type="text/javascript"></script>
    <div class="gaugeControl">
        <ej:OlapGauge ID="OlapGauge1" runat="server" Url="../wcf/OlapGaugeService.svc" EnableTooltip="true" BackgroundColor="transparent" Locale="en-US">
            <ClientSideEvents DrawLabels="onLabelDraw" RenderSuccess="onClientSuccess" BeforeServiceInvoke="onBeforeServiceCall" AfterServiceInvoke="onAfterServiceCall" />
            <Scales>
                <ej:CircularScales ShowRanges="true" Radius="150" ShowScaleBar="true" Size="1" ShowIndicators="true" ShowLabels="true">
                    <Border Width="0.5" />
                    <PointerCollection>
                        <ej:Pointers ShowBackNeedle="true" BackNeedleLength="20" Length="125" Width="7">
                           
                        </ej:Pointers>
                        <ej:Pointers Type="Marker" MarkerType="Diamond" DistanceFromScale="5" Placement="Center" BackgroundColor="#29A4D9" Length="25" Width="15"></ej:Pointers>
                    </PointerCollection>
                    <TickCollection>
                        <ej:CircularTicks Type="Major" DistanceFromScale="2" Height="16" Width="1" Color="#8c8c8c" />
                        <ej:CircularTicks Type="Minor" Height="6" Width="1" DistanceFromScale="2" Color="#8c8c8c" />
                    </TickCollection>
                    <LabelCollection>
                        <ej:CircularLabels Color="#8c8c8c"></ej:CircularLabels>
                    </LabelCollection>
                    <RangeCollection>
                        <ej:CircularRanges DistanceFromScale="-5" BackgroundColor="#fc0606" >
                            <Border Color="#fc0606" />
                        </ej:CircularRanges>
                        <ej:CircularRanges DistanceFromScale="-5"></ej:CircularRanges>
                    </RangeCollection>
                    <CustomLabelCollection>
                        <ej:CircularCustomLabel Color="#666666">
                            <Position X="180" Y="290" />
                            <Font Size="10px" FontFamily="Segoe UI" FontStyle="Normal"></Font>
                        </ej:CircularCustomLabel>
                        <ej:CircularCustomLabel Color="#666666">
                            <Position X="180" Y="320" />
                            <Font Size="10px" FontFamily="Segoe UI" FontStyle="Normal"></Font>
                        </ej:CircularCustomLabel>
                        <ej:CircularCustomLabel Color="#666666">
                            <Position X="180" Y="150" />
                            <Font Size="12px" FontFamily="Segoe UI" FontStyle="Normal"></Font>
                        </ej:CircularCustomLabel>
                    </CustomLabelCollection>   
                </ej:CircularScales>
            </Scales>
        </ej:OlapGauge>
    </div>
</asp:Content>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3" style="width:80px; padding-top:3px;margin-top:10px">
                    Select Type
                </div>
                <div class="col-md-3" style="margin-top:10px;margin-left:8px">
                    <select id="drpdwn">
                        <option value="en-US">en-US</option>
                        <option value="fr-FR">fr-FR</option>
                        <option value="zh-CN">zh-CN</option>        
                    </select>
                </div>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">
        ej.olap.OlapGauge.locale["fr-FR"] = {
            RevenueGoal: "Objectif de chiffre d'affaires",
            RevenueValue: "Valeur du chiffre d'affaires",
            RevenueFor: "Recettes pour",
            MDXqueryExecutionFailed: "L'exécution de la requête MDX pas",
            PreparingAndExecutingMDXquery: "La préparation et l'exécution de la requête MDX",
            MDXqueryExecutedSuccessfully: "MDX requête exécutée avec succès",
            RenderingStarted: "Rendu commencé",
            RenderingSucceeded: "Rendu réussi",
            RenderingFailed: "Rendant pas"
        }
        ej.olap.OlapGauge.locale["zh-CN"] = {
            RevenueGoal: "收入 目标",
            RevenueValue: "收入 值",
            RevenueFor: "收入 为",
            PreparingAndExecutingMDXquery: "准备和执行MDX查询",
            RenderingSucceeded: "绘制成功",
            MDXqueryExecutionFailed: "MDX查询执行失败",
            MDXqueryExecutedSuccessfully: "MDX查询执行成功",
            RenderingStarted: "渲染开始",
            RenderingFailed: "渲染失败"
        }
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();

            $("#drpdwn").ejDropDownList({
                fields: { text: "option" },
                width: "120px"
            });
            var ddlTarget = $('#drpdwn').data("ejDropDownList");
            ddlTarget.setSelectedText(ddlTarget.items[0].innerHTML);
            $("#drpdwn").ejDropDownList("option", "change", "Language");
        });
        function Language(args) {
            $(".e-olapgauge").remove();
            var clientpannel = ej.buildTag("div#OlapGauge1", "", { "height": " 350px", "min-width": "525px", "overflow": "auto", "position": "relative" })[0].outerHTML;
            $(clientpannel).appendTo(".gaugeControl");

            $("#OlapGauge1").ejOlapGauge({
                url: "../wcf/OlapGaugeService.svc", enableTooltip: true, customObject: { Language: args.value }, locale: args.value,
                backgroundColor: "transparent",
                scales: [{
                    showRanges: true,
                    radius: 150, showScaleBar: true, size: 1, border: {
                        width: 0.5
                    },
                    showIndicators: true, showLabels: true,
                    pointers: [{
                        showBackNeedle: true,
                        backNeedleLength: 20,
                        length: 120,
                        width: 7,
                    },
                    {
                        Type: "marker",
                        Type: "diamond",
                        distanceFromScale: 5,
                        placement: "center",
                        backgroundColor: "#29A4D9",
                        length: 25,
                        width: 15
                    }],
                    ticks: [{
                        type: "major",
                        distanceFromScale: 2,
                        height: 16,
                        width: 1, color: "#8c8c8c"
                    }, { type: "minor", height: 6, width: 1, distanceFromScale: 2, color: "#8c8c8c" }],
                    labels: [{
                        labelColor: "#8c8c8c"
                    }],
                    ranges: [{
                        distanceFromScale: -5,
                        backgroundColor: "#fc0606",
                        border: { color: "#fc0606" }
                    }, {
                        distanceFromScale: -5
                    }],
                    customLabels: [{
                        position: { x: 180, y: 290 },
                        font: { size: "10px", fontFamily: "Segoe UI", fontStyle: "Normal" }, labelColor: "#666666"
                    }, {
                        position: { x: 180, y: 320 },
                        font: { size: "10px", fontFamily: "Segoe UI", fontStyle: "Normal" }, labelColor: "#666666"
                    }, {
                        position: { x: 180, y: 150 },
                        font: { size: "12px", fontFamily: "Segoe UI", fontStyle: "Normal" }, labelColor: "#666666"
                    }]
                }]
            });
        }
    </script>
</asp:Content>


<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="StyleSection">
    <style type="text/css">
        #OlapGauge1 {
            height: 300px;
            width: 100%;
            float: left;
            overflow:auto;
            position:relative;
        }

         .row .cols-prop-area {
            min-height: 107px;
            width:25%;
        }
        .row .cols-sample-area {
    width: 72%;
}
    </style>
</asp:Content>