﻿<%@ Page Language="C#"  MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Scale.aspx.cs" Inherits="WebSampleBrowser.Scale" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ControlsSection">
     <script src='<%= Page.ResolveClientUrl("~/Scripts/excanvas.min.js")%>' type="text/javascript"></script>
     <ej:OlapGauge ID="OlapGauge1" runat="server" Url="../wcf/OlapGaugeService.svc" EnableTooltip="true" BackgroundColor="transparent">
        <ClientSideEvents DrawLabels="onLabelDraw" RenderSuccess="onClientSuccess" BeforeServiceInvoke="onBeforeServiceCall" AfterServiceInvoke="onAfterServiceCall" />
        <Scales>
            <ej:CircularScales ShowRanges="true" Radius="150" ShowScaleBar="true" Size="1" ShowIndicators="true" ShowLabels="true">
                <Border Width="0.5" />
                <PointerCollection>
                    <ej:Pointers ShowBackNeedle="true" BackNeedleLength="20" Length="125" Width="7">
                       
                    </ej:Pointers>
                    <ej:Pointers Type="Marker" MarkerType="Diamond" DistanceFromScale="5" Placement="Center" BackgroundColor="#29A4D9" Length="25" Width="15"></ej:Pointers>
                </PointerCollection>
                <TickCollection>
                    <ej:CircularTicks Type="Major" DistanceFromScale="2" Height="16" Width="1" Color="#8c8c8c" />
                    <ej:CircularTicks Type="Minor" Height="6" Width="1" DistanceFromScale="2" Color="#8c8c8c" />
                </TickCollection>
                <LabelCollection>
                    <ej:CircularLabels Color="#8c8c8c"></ej:CircularLabels>
                </LabelCollection>
                <RangeCollection>
                    <ej:CircularRanges DistanceFromScale="-5" BackgroundColor="#fc0606" >
                        <Border Color="#fc0606" />
                    </ej:CircularRanges>
                    <ej:CircularRanges DistanceFromScale="-5"></ej:CircularRanges>
                </RangeCollection>
                <CustomLabelCollection>
                    <ej:CircularCustomLabel Color="#666666">
                        <Position X="180" Y="290" />
                        <Font Size="10px" FontFamily="Segoe UI" FontStyle="Normal"></Font>
                    </ej:CircularCustomLabel>
                    <ej:CircularCustomLabel Color="#666666">
                        <Position X="180" Y="320" />
                        <Font Size="10px" FontFamily="Segoe UI" FontStyle="Normal"></Font>
                    </ej:CircularCustomLabel>
                    <ej:CircularCustomLabel Color="#666666">
                        <Position X="180" Y="150" />
                        <Font Size="12px" FontFamily="Segoe UI" FontStyle="Normal"></Font>
                    </ej:CircularCustomLabel>
                </CustomLabelCollection>   
            </ej:CircularScales>
        </Scales>
    </ej:OlapGauge>
</asp:Content>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
    <div class="prop-grid">
                    <div class="row">
                        <div class="col-md-3" style="width:95px">
                            ScaleBar Size
                        </div>
                        <div class="col-md-3 aligntop">
                            <div id="scalesize">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-3" style="width:95px">
                            Scale Radius
                        </div>
                        <div class="col-md-3 aligntop">
                            <div id="scaleradius">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-3" style="width:95px">
                            Border Width
                        </div>
                        <div class="col-md-3 aligntop">
                            <div id="borderwidth">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-3" style="width:95px; line-height:2">
                            Scale Direction
                        </div>
                        <div class="col-md-3">
                            <input type="text" id="scaledirection" class="scaledirection" />
                        </div>
                    </div>
                </div>
        </div>
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
            $("#scalesize").ejSlider({
                sliderType: ej.SliderType.MinRange,
                value: 1,
                height: 10,
                mintValue: 0,
                maxValue: 10,
                width: 110,
                animate: true,
                slide: "onchange",
                change: "onchange"
            });
            $("#scaleradius").ejSlider({
                sliderType: ej.SliderType.MinRange,
                value: 150,
                height: 10,
                width: 110,
                minValue: 120,
                maxValue: 170,
                animate: true,
                slide: "onchange",
                change: "onchange"
            });
            $("#borderwidth").ejSlider({
                sliderType: ej.SliderType.MinRange,
                value: 0.5,
                height: 10,
                minValue: 0,
                maxValue: 5,
                width: 110,
                animate: true,
                slide: "onchange",
                change: "onchange"
            });
            $('#scaledirection').ejDropDownList({
                dataSource: ["Clockwise", "CounterClockwise"],
                select: "onchange", width: "130px", selectedItemIndex: 0
            });
        });

        function onchange(args) {
            olapGauges = $(".e-olapgauge").find(".e-circulargauge");
            if (args.id == "scalesize") {
                $.each(olapGauges, function (index, value) {
                    gaugeval = $("#" + value.id).data("ejCircularGauge");
                    for (var i = 0; i <= 2; i++)
                        gaugeval.setScaleBarSize(0, args.value);
                });

            }
            else if (args.id == "scaleradius") {
                $.each(olapGauges, function (index, value) {
                    gaugeval = $("#" + value.id).data("ejCircularGauge");
                    for (var i = 0; i <= 2; i++)
                        gaugeval.setScaleRadius(0, args.value);
                });
            }
            else if (args.id == "borderwidth") {
                $.each(olapGauges, function (index, value) {
                    gaugeval = $("#" + value.id).data("ejCircularGauge");
                    for (var i = 0; i <= 2; i++)
                        gaugeval.setScaleBorderWidth(0, args.value);
                });
            }
            else if (args.text) {
                $.each(olapGauges, function (index, value) {
                    gaugeval = $("#" + value.id).data("ejCircularGauge");
                    for (var i = 0; i <= 2; i++)
                        gaugeval.setScaleDirection(0, args.text.toLowerCase());
                });
            }
        }
    </script>
</asp:Content>

<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="StyleSection">
    <style type="text/css">
        #OlapGauge1 {
            height: 400px;
            width: 100%;
            float: left;
            overflow: auto;
            position:relative;
        }  
        
        .row .cols-prop-area {
            min-height: 220px;
            width:25%;
        }   
        
         .row .cols-sample-area {
    width: 72%;
}           
    </style>
</asp:Content>