#region Copyright Syncfusion Inc. 2001 - 2014
// Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;

using Syncfusion.Pdf;
using Syncfusion.OCRProcessor;
using Syncfusion.Pdf.Parsing;

namespace WebSampleBrowser.Pdf
{
    public partial class PDFOCR : System.Web.UI.Page
    {
        protected void btnPDFOCR_Click(object sender, EventArgs e)
        {

            # region Convert OCR Process
            PdfLoadedDocument lDoc = new PdfLoadedDocument(ResolveApplicationDataPath(@"Region.pdf"));
            try
            {
                //Initialize the OCR processor
                using (OCRProcessor processor = new OCRProcessor(string.Format("{0}\\{1}", string.Format("{0}\\Common\\Data\\PDF", AppDomain.CurrentDomain.BaseDirectory.ToLower().Split(new string[] { "\\web" }, StringSplitOptions.None)), @"OCR\Tesseract binaries")))
                {
                    //Language to process the OCR
                    processor.Settings.Language = Languages.English;
                    //Process OCR by providing loaded PDF document, Data dictionary and language
                    processor.PerformOCR(lDoc, ResolveApplicationDataPath("OCR/Tessdata/"));
                    //Save the OCR processed PDF document in the disk
                    Response.Clear();
                    //Save the pdf file
                    if (this.CheckBox1.Checked)
                    {
                        lDoc.Save("PDFOCR.pdf", Response, HttpReadType.Open);
                    }
                    else
                    {
                        lDoc.Save("PDFOCR.pdf", HttpContext.Current.ApplicationInstance.Context.Response, HttpReadType.Save);
                    }


                }

            }
            catch (Exception)
            {
                this.label1.Text = "The input document could not be processed, Could you please email the document to support@syncfusion.com for troubleshooting?";
            }
            finally
            {
                lDoc.Close(true);
                this.label1.Text = "";
            }
            # endregion
        }
        # region ResolveApplicationDataPath
        /// <summary>
        /// Get the data file
        /// </summary>
        /// <param name="fileName"></param>
        /// <returns></returns>
        protected static string ResolveApplicationDataPath(string fileName)
        {
            string dataPath = string.Format("{0}\\Common\\Data\\PDF", AppDomain.CurrentDomain.BaseDirectory.ToLower().Split(new string[] { "\\web" }, StringSplitOptions.None));
            return string.Format("{0}\\{1}", dataPath, fileName);
        }
        #endregion
    }
}