﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="CellContext.aspx.cs" Inherits="WebSampleBrowser.CellContext" %>

<%@ Register Assembly="Syncfusion.EJ.Olap" Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ControlsSection">
   <ej:PivotGrid ID="PivotGrid1" runat="server" url="../wcf/OLAPService.svc" enablecellcontext="true">
    <clientsideevents cellcontext="cell_RightClick" />
   </ej:PivotGrid>
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="EventSection">
    <div class="cols-prop-area event-tracer">
        <div>
            <div class="heading">
                <span>Event Trace</span>
            </div>
            <div class="prop-grid content">
                <div class="eventarea">
                    <div class="EventLog" id="EventLog"></div>
                </div>
                <div class="evtbtn">
                    <input type="button" class="eventclear e-btn" value="Clear" onclick="onClear()" />
                </div>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">
        $(function () {
            $(document).bind("click", function () {
                $(".contextMenuPopup").remove();
            });
        });
        onClear = function () {
            jQuery.clearEventLog();
        },
        cell_RightClick = function (evt) {
            jQuery.addEventLog("Cell Context Menu is opened");
            $(".contextMenuPopup").remove();
            var contextMenu = $('<div class="contextMenuPopup"></div>');
            $(contextMenu[0]).html('<div class="menuItem">Cell Type</div><div class="menuItem">Position</div><div class="menuItem">Value</div>');
            $(contextMenu[0]).css("left", evt.args.args.clientX + 10).css("top", evt.args.args.clientY + 10);
            $("#PivotGrid1").append(contextMenu[0]);
            $(".menuItem").bind("mouseenter", function (e) {
                var bgColor = ($(".summary").css("background-color") != "transparent" && $(".summary").css("background-color") != "rgb(31, 31, 31)") ? $(".summary").css("background-color") : $(".summary").css("color");
                if (bgColor == "rgb(204, 237, 255)" || bgColor == "rgb(94, 171, 222)" || bgColor == "rgb(104, 195, 222)")
                    $(this).addClass("activeMenuItemBlue")
                else if (bgColor == "rgb(247, 252, 182)" || bgColor == "rgb(145, 170, 41)" || bgColor == "rgb(169, 199, 78)")
                    $(this).addClass("activeMenuItemGreen")
                else if (bgColor == "rgb(255, 238, 169)" || bgColor == "rgb(250, 161, 19)" || bgColor == "rgb(255, 187, 96)")
                    $(this).addClass("activeMenuItemOrange")
            });
            $(".menuItem").bind("mouseleave", function (e) {
                $(this).removeClass("activeMenuItemBlue").removeClass("activeMenuItemGreen").removeClass("activeMenuItemOrange");
            });
            $(".menuItem").click(function (e) {
                if (e.target.innerHTML == "Value")
                    jQuery.addEventLog("Cell Value: " + evt.args.cellValue);
                else if (e.target.innerHTML == "Cell Type") {
                    var cellType = evt.args.cellType == "value" ? "Value Cell" : (evt.args.cellType == "colheader" ? "Column Header" : (evt.args.cellType == "rowheader" ? "Row Header" : "Summary Cell"));
                    jQuery.addEventLog("Cell Type: " + cellType);
                }
                else if (e.target.innerHTML == "Position")
                    jQuery.addEventLog("Cell Position: Column-" + (parseInt(evt.args.cellPosition.split(',')[0]) + 1) + " Row-" + (parseInt(evt.args.cellPosition.split(',')[1]) + 1));
            });
        }
     </script>
</asp:Content>

<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="StyleSection">
    <style type="text/css">
        #PivotGrid1 {
            height: 350px;
            width: 100%;
            overflow: auto;
            float:left;
        }
        .menuItem {
            padding:5px 50px 5px 20px;
        }
        .contextMenuPopup {
            position: fixed;
            background-color: #e6e6e6;
            border: #BBBCBB solid 1px;
            padding: 1px;
            color:#565656;
        }
        .activeMenuItemBlue {
            background-color:#66C1DC;
            color:white;
        }
        .activeMenuItemGreen {
            background-color:#AECF49;
            color:white;
        }
        .activeMenuItemOrange {
            background-color:#F9920B;
            color:white;
        }
    </style>
</asp:Content>
