﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Paging.aspx.cs" Inherits="WebSampleBrowser.Paging" %>

<%@ Register Assembly="Syncfusion.EJ.Olap" Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ControlsSection">
    <div class="control">
        <ej:PivotGrid ID="PivotGrid1" runat="server" Url="../wcf/PagingService.svc" EnableVirtualScrolling="true"></ej:PivotGrid>
    </div>
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3" style="width:80px;padding-top:3px;margin-top:28px">
                    Select Mode
                </div>
                <div class="col-md-3"style="margin-top:25px">
                    <input type="text" id="pagingOption"/>
                </div>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
            var options = [{ option: "Virtual Scrolling" }, { option: "Paging"}];
            $("#pagingOption").ejDropDownList({
                dataSource: options,
                fields: { text: "option" }
            });
            var ddlTarget = $('#pagingOption').data("ejDropDownList");
            ddlTarget.setSelectedText(ddlTarget.model.dataSource[0].option);
            $("#pagingOption").ejDropDownList("option", "change", "OptionChanged");
        });
        function OptionChanged(args) {
            $(".e-pivotgrid").remove();
            if (args.text == "Paging") {
                var gridPanel = ej.buildTag("div#PivotGrid2", "", { height: "290px", width: "100%" })[0].outerHTML;
                var pagerDiv = ej.buildTag("div#Pager", "", { "margin-top": "10px" })[0].outerHTML;
                $(gridPanel).appendTo(".control");
                $(pagerDiv).appendTo(".control");
                $("#PivotGrid2").ejPivotGrid({ url: "../wcf/PagingService.svc" });
                $("#Pager").ejPivotPager({
                    mode: ej.PivotPager.Mode.Both,
                    targetControlID: "PivotGrid2"
                });
            }
            else if (args.text == "Virtual Scrolling") {
                $(".e-pivotpager").remove();
                var gridPanel = ej.buildTag("div#PivotGrid2", "", { height: "350px", width: "100%" })[0].outerHTML;
                $(gridPanel).appendTo(".control");
                $("#PivotGrid2").ejPivotGrid({ url: "../wcf/PagingService.svc", enableVirtualScrolling: true });
            }
        }
    </script>
</asp:Content>

<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="StyleSection">
    <style type="text/css">
        #PivotGrid1 {            
            float: left;
        }
        #PivotGrid2, #PivotGrid1{
            height: 350px;
            width: 100%;
            overflow:auto;
        }

        .row .cols-prop-area {
            min-height: 150px;
        }



        .row .cols-sample-area {
            width: 100%;
        }
          
    </style>
</asp:Content>
