﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="ClientSideEvents.aspx.cs" Inherits="WebSampleBrowser.ProgressBar.ClientSideEvents" %>


<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <div id="progressBar"></div>
            <div>
                <ej:ProgressBar ID="ProgressBar1" ClientSideOnChange="onchange" ClientSideOnStart="onstart" ClientSideOnComplete="completed"  ClientSideOnCreate="oncreate" runat="server" Height="20px" Value="10"></ej:ProgressBar>
            </div>
        </div>
        <div class="startButton">
            <ej:ToggleButton ID="startButton" Type="Button" Size="Small" DefaultText="Start" ActiveText="Pause" ClientSideOnClick="startProcess" runat="server">
            </ej:ToggleButton>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="EventSection" runat="server">
    <div class="cols-prop-area event-tracer">
        <div>
            <div class="heading">
                <span>Event Trace</span>
                            <div class="pull-right">
                    <ej:DropDownList ID="selectControls" ClientSideOnPopupShown="adjustpopupposition" ClientSideOnCheckChange="evtpropscheckedevent" ShowCheckbox="true" CheckAll="true" runat="server">
                          <Items>
                                   <ej:DropDownListItem Value="start" Text="start"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="complete" Text="complete"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="create" Text="create"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="change" Text="change"></ej:DropDownListItem>
                                                </Items>
                    </ej:DropDownList>
                </div>
            </div>
            <div class="prop-grid content">
                <div class="eventarea">
                    <div class="EventLog" id="EventLog">
                    </div>
                </div>
                <div class="evtbtn">
                    <ej:Button ID="Clear" Type="Button" Text="Clear" ClientSideOnClick="onClear" CssClass="eventclear e-btn" runat="server"></ej:Button>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
      <script type="text/javascript">
          var progresObj, buttonObj, k = 10, timer = window.clearInterval(timer), showComplete = true;
      
          $(function () {
              progresObj = $("#ProgressBar1").data("ejProgressBar");
              progresObj.setModel({ text: progresObj.getPercentage() + " %" });
            
          });

          function evtpropscheckedevent(args) {
              if (args.isChecked) {
                  switch (args.model.itemValue) {
                      case "start": progresObj.option(args.data.itemValue, "onstart"); break;
                      case "change": progresObj.option(args.data.itemValue, "onchange"); break;
                      case "complete": showComplete = true; break;
                  }
              }
              else if (args.data.itemValue == "complete") {
                  showComplete = false;
              }
              else
                  progresObj.option(args.data.itemValue, null)
          }

          function startProcess(args) {
              buttonObj = $("#startButton").data("ejToggleButton");
              progresObj = $("#ProgressBar1").data("ejProgressBar");
              if (args.isChecked)
                  timer = window.setInterval(draw, 100);
              else {
                  buttonObj.setModel({ "defaultText": "Start" });
                  timer = window.clearInterval(timer);
              }
          }
          function draw() {
              progresObj = $("#ProgressBar1").data("ejProgressBar");
              progresObj.option("text", ++k + " %");
              progresObj.option("percentage", k);
          }
          function completed(args) {
              progresObj.option("text", "Completed");
              timer = window.clearInterval(timer);
              k = 0;
              if (showComplete)
                  jQuery.addEventLog("The process has been <span class='eventTitle'>completed</span> successfully.</br>");
              buttonObj.setModel({ "toggleState": false, "defaultText": "Restart" });
          }
          function oncreate(args) {
              jQuery.addEventLog("Progressbar has been <span class='eventTitle'>created</span>.");
          }
          function onstart(args) {
              jQuery.addEventLog("Progressbar has been <span class='eventTitle'>started</span>.</br>");
          }
          function onchange(args) {
              jQuery.addEventLog("Progressbar value has been <span class='eventTitle'>changed</span> to " + args.percentage + "%.</br>");
          }
          function onClear() {
              jQuery.clearEventLog();
          }
          </script>

</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .frame {
            border: 1px solid #BBBCBB;
            border-radius: 10px 10px 10px 10px;
            padding: 50px 60px;
            margin-top: 40px;
            width: 400px;
        }

        .control {
            margin-bottom: 25px;
        }

        .txt {
            font-size: 20px;
            margin-top: 12px;
            text-align: center;
        }

        .startButton {
            margin-left: 155px;
        }
    </style>
</asp:Content>
