﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="CustomTool.aspx.cs" Inherits="WebSampleBrowser.RichTextEditor.CustomTools" %>

<asp:Content ID="Content2" ContentPlaceHolderID="SampleHeading" runat="server">
    Custom Tool
   
</asp:Content>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="HeadSection">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/CodeMirror/codemirror.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/CodeMirror/javascript.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/CodeMirror/htmlmixed.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/CodeMirror/xml.js")%>' type="text/javascript"></script>
   <link href='<%= Page.ResolveClientUrl("~/Scripts/CodeMirror/codemirror.min.css")%>'></link>
    <link href='<%= Page.ResolveClientUrl("~/Scripts/CodeMirror/css.js")%>'></link>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ControlsSection" runat="server">
    <div>
        <ej:RTE ID="rteSample" AllowEditing="true"  EnableResize="true" ToolsList="customTool" runat="server">
            <RTEContent>
                &lt;p&gt;&lt;b&gt;Description:&lt;/b&gt;&lt;/p&gt;    
    &lt;p&gt;The Rich Text Editor (RTE) control is an easy to render in
    client side. Customer easy to edit the contents and get the HTML content for
    the displayed content. A rich text editor control provides users with a toolbar
    that helps them to apply rich text formats to the text entered in the text
    area. &lt;/p&gt;
    &lt;p&gt;&lt;b&gt;Functional
    Specifications/Requirements:&lt;/b&gt;&lt;/p&gt;
    &lt;ol&gt;&lt;li&gt;&lt;p&gt;Provide
    the tool bar support, it’s also customizable.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Options
    to get the HTML elements with styles.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Support
    to insert image from a defined path.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Footer
    elements and styles(tag / Element information , Action button (Upload, Cancel))&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Re-size
    the editor support. &lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Provide
    efficient public methods and client side events.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Keyboard
    navigation support.&lt;/p&gt;&lt;/li&gt;&lt;/ol&gt;
            </RTEContent>
            <Tools>
                <CustomTool>
                    <ej:CustomTool Action="showDialog" Css="codeInsert" Name="codeInsert" Tooltip="Insert code snippets" />
                </CustomTool>
            </Tools>
        </ej:RTE>
       
    <div id="TargetList">
        <ul>
            <li>Java Script</li>
            <li>HTML</li>
            <li>CSS</li>
        </ul>
    </div>
    <ej:Dialog ID="customSourceCode" Title="Paste you code and inset to RTE" ShowOnInit="false" EnableModal="true" Width="596" EnableResize="false" runat="server">
        <DialogContent>
            <table>
                <tr>
                    <td style="width: 100px">Select type :
                    </td>
                    <td>
                        <div>
                            <ej:DropDownList ID="languageList" TargetID="TargetList" SelectedItemIndex="0" runat="server" />
                        </div>
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <textarea id="srcCode" style="width: 550px; height: 250px">
                                            <div id="srcArea"></div>
                                </textarea>
                        </td>
                    </tr>
                    <tr>                       
                    <td colspan="2">
                        <div class="e-rte-button e-fieldseparate">
                            <ej:Button ID="insert" Type="Button" Text="Insert" runat="server" ClientSideOnClick= "customBtnClick"></ej:Button>
                            <ej:Button ID="cancel" Type="Button" Text="Cancel" runat="server" ClientSideOnClick="customBtnClick"></ej:Button>
                        </div>
                    </td>
                </tr>
            </table>
        </DialogContent>
        </ej:Dialog>
    </div>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src="../Scripts/CodeMirror/codemirror.js" type="text/javascript"></script>
    <script src="../Scripts/CodeMirror/javascript.js" type="text/javascript"></script>
    <script src="../Scripts/CodeMirror/css.js" type="text/javascript"></script>
    <script src="../Scripts/CodeMirror/xml.js" type="text/javascript"></script>
    <script src="../Scripts/CodeMirror/htmlmixed.js" type="text/javascript"></script>
    <script type="text/javascript">
        var rteObj;
        window.onload = function () {
            //Add text for custom tool bar element.
            $("div.codeInsert").html("Insert code");
            //load the CodeMirror css in the iframe
            $("#rteSample_Iframe").contents().find("head").append($("<link href='../Scripts/CodeMirror/codemirror.min.css' rel='stylesheet'></link>"))
            rteObj = $("#rteSample").data("ejRTE");
            $("#customSourceCode").ejDialog({ enableResize: false, EnableModal: true, shoeOnInit: false, width: "auto" });
            $("#languageList").ejDropDownList({ selectItemByIndex: 0 });
            $("#customSourceCode").find(".e-rte-btn").ejButton({ click: "customBtnClick" });
        };
        function showDialog() {
            var dialogobj = $('#customSourceCode').data('ejDialog');
            $('#srcCode').val('').show();
            dialogobj.open();
        }
        function customBtnClick(args) {
            if (this._id == "insert") {
                var scrLang, lang = $("#languageList").val();
                if (lang == "Java Script")
                    scrLang = "javascript";
                else if (lang == "HTML")
                    scrLang = "text/html";
                else
                    scrLang = "css";
                var htmlEditor = CodeMirror.fromTextArea($("#srcCode")[0], {
                    lineNumbers: false,
                    mode: scrLang
                });
                var codeTags = $("#customSourceCode").find(".CodeMirror");
                rteObj.executeCommand("inserthtml", codeTags[0].outerHTML);
                codeTags.remove();
            }
            $("#customSourceCode").ejDialog("close");
        }
    </script>
</asp:Content>
<asp:Content ID="Content7" ContentPlaceHolderID="StyleSection" runat="server">
    <link href="../Scripts/CodeMirror/codemirror.min.css" rel="stylesheet" />
    <style type="text/css">
        .codeInsert {
            height: 22px;
            width: 100px;
            display: block;
            text-align: center;
            font-weight: bold;
        }
    </style>
</asp:Content>
