﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="API.aspx.cs" Inherits="WebSampleBrowser.Schedule.API" %>

<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Schedule / Time Mode</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div>
        <ej:Schedule runat="server" ID="Schedule1" DataSourceID="SqlData" Width="100%" Height="800px" CurrentDate="5/2/2014" TimeMode="Hour12">
            <AppointmentSettings Id="Id" Subject="Subject" AllDay="AllDay" StartTime="StartTime" EndTime="EndTime" Description="Description" Recurrence="Recurrence" RecurrenceRule="RecurrenceRule" />
        </ej:Schedule>

    </div>
    <asp:SqlDataSource ID="SqlData" runat="server" ConnectionString="<%$ ConnectionStrings:ScheduleConnectionString %>"
        SelectCommand="SELECT * FROM [DefaultSchedule]"></asp:SqlDataSource>
</asp:Content>
<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">
        $(document).ready(function () {
            $("#sampleProperties").ejPropertiesPanel();
            obj = $("#Schedule1").data("ejSchedule");
        });
        var maxDatepicker = null;
        var minDatepicker = null;
        var currentdate = null;
        function selectedDate1(sender) {
            $(function () {
                maxDatepicker = $("#maxdate").data("ejDatePicker");
                currentdate = $("#currentdate").data("ejDatePicker");
                minDatepicker1 = $("#mindate").data("ejDatePicker");
                maxDatepicker.setModel({ "minDate": new Date(sender.value) });
                currentdate.setModel({ "minDate": new Date(sender.value) });
            });
        }
        function selectedDate2(sender) {
            $(function () {
                currentdate = $("#currentdate").data("ejDatePicker");
                minDatepicker = $("#mindate").data("ejDatePicker");
                minDatepicker.setModel({ "maxDate": new Date(sender.value) });
                currentdate.setModel({ "maxDate": new Date(sender.value) });
            });
        }

        function onChange(args) {
            $("#Schedule1").ejSchedule({ dateFormat: args.value });
            $("#currentdate").ejDatePicker({ dateFormat: args.value });
            $("#mindate").ejDatePicker({ dateFormat: args.value });
            $("#maxdate").ejDatePicker({ dateFormat: args.value });
        }
        function viewChange(args) {
            $("#Schedule1").ejSchedule({ currentView: args.text.toLowerCase() });
        }
        function businessStart(args) {
            if (args.itemId < obj.model.businessEndHour)
                $("#Schedule1").ejSchedule({ businessStartHour: args.itemId });
            else
                alert("Start time should be less than end time.");
        }
        function businessEnd(args) {
            if (args.itemId > obj.model.businessStartHour)
                $("#Schedule1").ejSchedule({ businessEndHour: args.itemId });
            else
                alert("End time should be greater than start time.");
        }
        function onBusinessHour(args) {
            if (args.isChecked)
                $("#Schedule1").ejSchedule({ highlightBusinessHours: true });
            else
                $("#Schedule1").ejSchedule({ highlightBusinessHours: false });
        }
        function onReadOnly(args) {
            if (args.isChecked)
                $("#Schedule1").ejSchedule({ readOnly: true });
            else
                $("#Schedule1").ejSchedule({ readOnly: false });
        }
        function dateChange(args) {
            $("#Schedule1").ejSchedule({ currentDate: args.value });
        }
        function ChangeTime(args) {
            if (parseInt($("#stime").val()) < parseInt($("#etime").val()))
                $("#Schedule1").ejSchedule({
                    startHour: parseInt($("#stime").val()),
                    endHour: parseInt($("#etime").val()),
                    cellWidth: $("#cellwidth").val(),
                    cellHeight: $("#cellheight").val(),
                    minDate: $("#mindate").val(),
                    maxDate: $("#maxdate").val()
                });
            else
                alert("Start hour should be lesser than end hour");
        }
    </script>
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                   Current Date
                </div>

            </div>
            <div class="row">
                <div class="col-md-3">
                    <ej:DatePicker runat="server" ID="currentdate" Width="120px" Value="05/02/2014" ClientSideOnChange="dateChange"></ej:DatePicker>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Min Date
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <ej:DatePicker runat="server" ID="mindate" Width="120px" Value="04/16/2014" ClientSideOnChange="selectedDate1"></ej:DatePicker>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Max Date
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <ej:DatePicker runat="server" ID="maxdate" Width="120px" Value="07/16/2014" ClientSideOnChange="selectedDate2"></ej:DatePicker>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    DateFormat
                </div>
                <div class="col-md-3">
                    <ej:DropDownList runat="server" ID="DropDownList2" Width="115px" SelectedItemIndex="0" ClientSideOnChange="onChange" ClientSideOnSelect="onChange">
                        <Items>
                            <ej:DropDownListItem  Text="Default - MM/dd/yyyy" Value="MM/dd/yyyy"/>
                            <ej:DropDownListItem  Text="Short - d M, y" Value="d M, y"/>
                            <ej:DropDownListItem  Text="Medium - d MM, y" Value="d MM, y"/>
                            <ej:DropDownListItem  Text="Full-dddd,d MMMM,yy" Value="dddd, d MMMM, yy"/>
                            <ej:DropDownListItem  Text="UTC - yyyy-MM-dd" Value="yyyy-MM-dd"/>
                        </Items>
                    </ej:DropDownList>          
                        </div>
                    </div>
            <div class="row">
                <div class="col-md-3">
                   Buisness Start Hour
                </div>
                <div class="col-md-3">
                  <ej:DropDownList runat="server" ID="ddlBusinessStartHour" Width="115px" ClientSideOnChange="businessStart" ClientSideOnSelect="businessStart">
                    </ej:DropDownList>
                </div>
            </div>
            <br />
               <div class="row">
                <div class="col-md-3">
                   Business End Hour
                </div>
                <div class="col-md-3">
                   <ej:DropDownList runat="server" ID="ddlBusinessEndHour" Width="115px" ClientSideOnChange="businessEnd" ClientSideOnSelect="businessEnd">
                    </ej:DropDownList>
                </div>
            </div>
            <br />
               <div class="row">
                <div class="col-md-3">
                   HighLight Business Hour
                </div>
                <div class="col-md-3">
                   <ej:Checkbox runat="server" Checked="true" ID="Enablebusinesshour" ClientSideOnChange="onBusinessHour"></ej:Checkbox>
                </div>
            </div>
            <br />
               <div class="row">
                <div class="col-md-3">
                   Read Only
                </div>
                <div class="col-md-3">
                   <ej:Checkbox runat="server" Checked="false" ID="ReadOnly" ClientSideOnChange="onReadOnly"></ej:Checkbox>
                </div>
            </div>
            <br />
               <div class="row">
                <div class="col-md-3">
                   Current View
                </div>
                <div class="col-md-3">
                   <ej:DropDownList runat="server" ID="DropDownList4" Width="115px" SelectedItemIndex="1" ClientSideOnChange="viewChange" ClientSideOnSelect="viewChange">
                        <Items>
                            <ej:DropDownListItem  Text="Day" Value="Day"/>
                            <ej:DropDownListItem  Text="Week" Value="Week"/>
                            <ej:DropDownListItem  Text="WorkWeek" Value="WorkWeek"/>
                            <ej:DropDownListItem  Text="Month" Value="Month"/>
                        </Items>
                    </ej:DropDownList>
                </div>
            </div>
            <br />
             <div class="row">
                <div class="col-md-3">
                   Start Hour
                </div>
                <div class="col-md-3">
                  <ej:NumericTextBox Width="115px" ID="stime" Value="0" MinValue="0" MaxValue="24" Name="numeric" EnableStrictMode="true" runat="server" />
                </div>
            </div><br />
            <div class="row">
                <div class="col-md-3">
                   End Hour
                </div>
                <div class="col-md-3">
                   <ej:NumericTextBox Width="115px" ID="etime" Value="24" MinValue="0" MaxValue="24" Name="numeric" EnableStrictMode="true" runat="server" />
                </div>
            </div><br />
            <div class="row">
    <div class="col-md-3">
        Cell Width
    </div>
    <div class="col-md-3">
        <ej:NumericTextBox Width="115px" ID="cellwidth" Value="100" Name="numeric"  runat="server" />
    </div>
</div><br />
<div class="row">
    <div class="col-md-3">
        Cell Height
    </div>
    <div class="col-md-3">
        <ej:NumericTextBox Width="115px" ID="cellheight" Value="60" Name="numeric" runat="server" />
    </div>
</div><br />
            <div class="row">
                <div class="col-md-3">
                  <ej:Button Type="Button" ID="BtnSubmit" runat="server" Text="Submit" ClientSideOnClick="ChangeTime"></ej:Button>
                 </div>
            </div>
        </div>
    </div>
</asp:Content>
