﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="API.aspx.cs" Inherits="WebSampleBrowser.Tab.API" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div>
        <ej:Tab ID="apiTab" runat="server" Width="500px">
            <Items>
                <ej:TabItem Id="javaScript" Text="JavaScript">
                    <ContentSection>
                        JavaScript (JS) is an interpreted computer programming language. 
                                    It was originally implemented as part of web browsers so that client-side scripts could interact with the user, control the browser, 
                                    communicate asynchronously, and alter the document content that was displayed.[5] More recently, however, 
                                    it has become common in both game development and the creation of desktop applications.
                    </ContentSection>
                </ej:TabItem>
                <ej:TabItem Id="cSharp" Text="C Sharp(C#)">
                    <ContentSection>
                        C# is intended to be a simple, modern, general-purpose, object-oriented programming language.
                                     Its development team is led by Anders Hejlsberg. The most recent version is C# 5.0, which was released on August 15, 2012.
            
                    </ContentSection>
                </ej:TabItem>
                <ej:TabItem Id="vb" Text="VB.Net">
                    <ContentSection>
                        The command-line compiler, VBC.EXE, is installed as part of the freeware .NET Framework SDK. 
                                    Mono also includes a command-line VB.NET compiler. The most recent version is VB 2012, which was released on August 15, 2012.
           
                    </ContentSection>
                </ej:TabItem>
            </Items>
        </ej:Tab>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    Disable Item
                </div>
                <div class="col-md-3">
                    <ej:DropDownList ID="optDisable" Width="120px" WatermarkText="Select" TargetID="disableItemlist" ClientSideOnChange="onDisableChange" runat="server"></ej:DropDownList>
                    <div id="disableItemlist">
                        <ul>
                            <li>Item 1</li>
                            <li>Item 2</li>
                            <li>Item 3</li>
                        </ul>
                    </div>

                </div>
                <div class="col-md-3">
                    Enable Item
                </div>
                <div class="col-md-3">
                    <ej:DropDownList ID="optEnable" Width="120px" WatermarkText="Select" ClientSideOnChange="onEnableChange" TargetID="enableItemlist" runat="server"></ej:DropDownList>
                    <div id="enableItemlist">
                        <ul>
                            <li>Item 1</li>
                            <li>Item 2</li>
                            <li>Item 3</li>
                        </ul>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-3">
                    Remove Tab
                </div>
                <div class="col-md-3">
                    <ej:DropDownList ID="optRemove" Width="120px" WatermarkText="Select" ClientSideOnSelect="onRemoveChange" TargetID="Removelist"  runat="server"></ej:DropDownList>
                    <div id="Removelist">
                        <ul>
                            <li>Item 1</li>
                            <li>Item 2</li>
                            <li>Item 3</li>
                        </ul>
                    </div>
                </div>
                <div class="col-md-3">
                    Destroy
                </div>
                <div class="col-md-3">
                    <ej:ToggleButton ID="chkDestroy" Type="Button" ActiveText="Restore" DefaultText="Destory" runat="server" ClientSideOnChange="onDestoryRestore"></ej:ToggleButton>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        var tabIndex = 1;
        var tabObj;
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
        });

        //API's 
        function onDisableChange(args) {
            tabObj = $("#apiTab").data("ejTab");
            if (tabObj.model) {
                tabObj.option({ disabledItemIndex: [parseInt(args.itemId)] });
                $("#optEnable").ejDropDownList("clearText");
                $("#optRemove").ejDropDownList("clearText");
            }
        }
        function onEnableChange(args) {
            tabObj = $("#apiTab").data("ejTab");
            if (tabObj.model) {
                tabObj.option({ enabledItemIndex: [parseInt(args.itemId)] });
                $("#optDisable").ejDropDownList("clearText");
                $("#optRemove").ejDropDownList("clearText");
            }
        }
        function onRemoveChange(args) {
            tabObj = $("#apiTab").data("ejTab");
            if (tabObj.model) {
                tabObj.removeItem(parseInt(args.itemId));
                $("#optDisable").ejDropDownList("clearText");
                $("#optEnable").ejDropDownList("clearText");
            }
        }
        function onDestoryRestore(args) {
            tabObj = $("#apiTab").data("ejTab");
            var drop1 = $("#optDisable").data("ejDropDownList");
            var drop2 = $("#optEnable").data("ejDropDownList");
            var drop3 = $("#optRemove").data("ejDropDownList");
            i = 0;
            if (args.isChecked) {
                tabObj.destroy();
                drop1.disable();
                drop2.disable();
                drop3.disable();

            }
            else {
                $("#apiTab").ejTab();
                tabObj = $("#apiTab").data("ejTab");
                drop1.enable();
                drop2.enable();
                drop3.enable();
            }
        }

    </script>
</asp:Content>
<asp:Content ID="COntent7" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .e-togglebutton {
            height: 33px;
            width: 119px;
        }
    </style>
</asp:Content>
