﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="APIs.aspx.cs" Inherits="WebSampleBrowser.Textboxes.APIs" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <table class="sample">
                <tbody>
                    <tr>
                        <td>
                            <label>
                                Numeric Textbox</label>
                        </td>
                        <td>
                            <ej:NumericTextBox ID="numeric" Name="numeric" Value="5" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>
                                Percentage Textbox</label>
                        </td>
                        <td>
                            <ej:PercentageTextBox ID="percent" Name="percentage" Value="55" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>
                                Currency Textbox</label>
                        </td>
                        <td>
                            <ej:CurrencyTextBox ID="currency" Name="currency" Value="555" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>
                                MaskEdit Textbox</label>
                        </td>
                        <td>
                            <ej:MaskEdit InputMode="Text" ID="maskedit" MaskFormat="(999)999-9999" CustomCharacter="$" runat="server"></ej:MaskEdit>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/TextBox/APIs.js")%>' type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
        });
    </script>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        #text5 {
            width: 124px;
        }

        .frame {
            height: 280px;
            width: 100%;
            margin-top: 6%;
            margin-left: 0;
            padding: 0;
        }

        .control {
            margin: 70px 110px 0;
            color: gray;
            font-family: 'Segoe UI';
            font-size: medium;
        }

        .input {
            width: 110px;
            height: 22px;
            text-indent: 10px;
        }

        .inputBtn, .e-togglebutton {
            width: 114px;
        }
    </style>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    Enable / Disable
                </div>
                <div class="col-md-3">
                    <ej:ToggleButton ID="ToggleButton" runat="server" DefaultText="Disable" ActiveText="Enable" ClientSideOnClick="changeState" Width="110px"></ej:ToggleButton>
                </div>
                <div class="col-md-3">
                    IncrementStep
                </div>
                <div class="col-md-3">
                    <input type="text" id="incrementStep" class="input ejinputtext" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Min Value
                </div>
                <div class="col-md-3">
                    <input type="text" id="minValue" class="input ejinputtext" />
                </div>
                <div class="col-md-3">
                    Max Value
                </div>
                <div class="col-md-3">
                    <input type="text" id="maxValue" class="input ejinputtext" />                    
                </div>
                <span id="error" style="color:red"></span>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>MaskEdit:</b>
                </div>
                <div class="col-md-3"></div>
                <div class="col-md-3">
                    Mask
                </div>
                <div class="col-md-3">
                    <ej:DropDownList ID="masks" runat="server" ClientSideOnChange="onMaskChange" Width="110px" SelectedItemIndex="0">
                        <Items>
                            <ej:DropDownListItem Value="(999)999-9999" Text="Phone No" />
                            <ej:DropDownListItem Value="aa-99-99-a" Text="Insurance No" />
                            <ej:DropDownListItem Value="***-**-****" Text="AlphaNumeric" />
                            <ej:DropDownListItem Value="C99999" Text="Currency" />
                            <ej:DropDownListItem Value="99999 - 9999" Text="ZipCode" />
                        </Items>
                    </ej:DropDownList>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
