﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="ClientSideEvents.aspx.cs" Inherits="WebSampleBrowser.Textboxes.ClientSideEvents" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <table>
                <tbody>
                    <tr>
                        <td>
                            <label>
                                Numeric Textbox</label>
                        </td>
                        <td>
                            <ej:NumericTextBox ID="numeric" ClientSideOnCreate="onNumericCreate" ClientSideOnChange="numericValChange" ClientSideOnFocusIn="numericFocusIn" ClientSideOnFocusOut="numericFocusOut" runat="server" Name="numeric" Value="5" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>
                                Percentage Textbox</label>
                        </td>
                        <td>
                            <ej:PercentageTextBox ID="percent" ClientSideOnChange="percentValChange" ClientSideOnFocusOut="percentFocusOut" ClientSideOnFocusIn="percentFocusIn" ClientSideOnCreate="onPercentageCreate" Name="percentage" Value="55" runat="server"  />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>
                                Currency Textbox</label>
                        </td>
                        <td>
                            <ej:CurrencyTextBox ID="currency" Name="currency" Value="555" ClientSideOnFocusOut="currencyFocusOut" ClientSideOnFocusIn="currencyFocusIn" ClientSideOnChange="currencyValChange" ClientSideOnCreate="onCurrencyCreate" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>
                                MaskEdit Textbox</label>
                        </td>
                        <td>
                            <ej:MaskEdit runat="server" ID="maskedit" ClientSideOnFocusOut="maskFocusOut" ClientSideOnFocusIn="maskFocusIn" ClientSideOnChange="maskValueChange" ClientSideOnCreate="onMaskCreate" MaskFormat="99-999" InputMode="Text" Width="110px" />
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/TextBox/Events.js")%>' type="text/javascript"></script>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .frame {
            height: 280px;
            width: 100%;
            margin-top: 5%;
            margin-left: 0;
            padding: 0;
        }

        .control {
            margin: 70px 110px 0;
            color: gray;
            font-family: 'Segoe UI';
            font-size: medium;
        }
    </style>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="EventSection" runat="server">
    <div class="cols-prop-area event-tracer">
        <div>
            <div class="heading">
                <span>Event Trace</span>
                <div class="pull-right">
                    <ej:DropDownList ID="selectControls" ClientSideOnPopupShown="adjustpopupposition" ClientSideOnCheckChange="evtpropscheckedevent" ShowCheckbox="true" CheckAll="true" runat="server">
                        <Items>
                            <ej:DropDownListItem Value="change" Text="valueChange"></ej:DropDownListItem>
                            <ej:DropDownListItem Value="focusIn" Text="focusIn"></ej:DropDownListItem>
                            <ej:DropDownListItem Value="focusOut" Text="focusOut"></ej:DropDownListItem>
                              </Items>
                    </ej:DropDownList>
                </div>
            </div>
            <div class="prop-grid content">
                <div class="eventarea">
                    <div class="EventLog" id="EventLog">
                    </div>
                </div>
                <div class="evtbtn">
                     <ej:Button ID="Clear" Type="Button" Text="Clear" ClientSideOnClick="onClear" CssClass="eventclear e-btn" runat="server"></ej:Button>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
