﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="KnockoutSupport.aspx.cs" Inherits="WebSampleBrowser.Textboxes.KnockoutSupport" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <table class="sample" style="margin: auto">
                <tbody>
                    <tr>
                        <td>
                            <label>
                                Numeric Textbox</label>
                        </td>
                        <td>
                            <input id="numeric" type="text" data-bind="ejNumericTextbox: { value: nvalue }" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>
                                Percentage Textbox</label>
                        </td>
                        <td>
                            <input id="percent" type="text" data-bind="ejPercentageTextbox: { value: pvalue }" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>
                                Currency Textbox</label>
                        </td>
                        <td>
                            <input id="currency" type="text" data-bind="ejCurrencyTextbox: { value: cvalue }" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>
                                MaskEdit Textbox</label>
                        </td>
                        <td>
                            <input id="maskedit" type="text" data-bind="ejMaskEdit: { value: mvalue, InputMode: ej.InputMode.Text }" />
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ScriptSection" runat="server">
  <script src='<%= Page.ResolveClientUrl("~/Scripts/knockout-min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.ko.min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/TextBox/KnockoutSupport.js")%>' type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
        });
    </script>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        #text5 {
            width: 124px;
        }

        .frame {
            height: 280px;
            width: 100%;
            margin-top: 6%;
            margin-left: 0;
            padding: 0;
        }

        .control {
            margin: 70px 110px 0;
            color: gray;
            font-family: 'Segoe UI';
            font-size: medium;
        }

        .input {
            width: 110px;
            height: 22px;
            text-indent: 10px;
        }
    </style>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    Numeric Value:
                </div>
                <div class="col-md-3">
                    <input type="text" class="input ejinputtext text1" data-bind="value: nvalue" /><br />
                </div>

            </div>
            <div class="row">
                <div class="col-md-3">
                    Percent Value:
                </div>
                <div class="col-md-3">
                    <input type="text" class="input ejinputtext text1" data-bind="value: pvalue" /><br />
                </div>

            </div>
            <div class="row">
                <div class="col-md-3">
                    Currency Value:
                </div>
                <div class="col-md-3">
                    <input type="text" class="input ejinputtext text1" data-bind="value: cvalue" /><br />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    MaskEdit Value:
                </div>
                <div class="col-md-3">
                    <input type="text" class="input ejinputtext" data-bind="value: mvalue" /><br />
                </div>

            </div>
            <div class="row">
                <div class="col-md-3">
                    Min Value
                </div>
                <div class="col-md-3">
                    <input type="text" id="minValue" class="input ejinputtext" />
                </div>
                <div class="col-md-3">
                    Max Value
                </div>
                <div class="col-md-3">
                    <input type="text" id="maxValue" class="input ejinputtext" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>MaskEdit:</b>
                </div>
                <div class="col-md-3"></div>
                <div class="col-md-3">
                    Mask
                </div>
                <div class="col-md-3">
                    <ej:DropDownList ID="masks" runat="server" ClientSideOnChange="onMaskChange" SelectedItemIndex="0" Width="110px">
                        <Items>
                            <ej:DropDownListItem Value="(999)999-9999" Text="Phone No" />
                            <ej:DropDownListItem Value="aa-99-99-a" Text="Insurance No" />
                            <ej:DropDownListItem Value="***-**-****" Text="AlphaNumeric" />
                            <ej:DropDownListItem Value="C99999" Text="Currency" />
                            <ej:DropDownListItem Value="99999 - 9999" Text="ZipCode" />
                        </Items>
                    </ej:DropDownList>
                </div>
            </div>

        </div>
    </div>
</asp:Content>
