﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="Localization.aspx.cs" Inherits="WebSampleBrowser.Textboxes.Localization" %>

<asp:Content ID="Heading1" ContentPlaceHolderID="SampleHeading" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/cultures/globalize.culture.de-DE.min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/cultures/globalize.culture.en-US.min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/cultures/globalize.culture.fr-FR.min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/cultures/globalize.culture.zh-CN.min.js")%>' type="text/javascript"></script>
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <table>
                <tbody>
                    <tr>
                        <td>
                            <label>
                                Numeric Textbox</label>
                        </td>
                        <td>
                            <ej:NumericTextBox ID="numeric" runat="server" Name="numeric" Value="1023" DecimalPlaces="2" Locale="de-DE" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>
                                Percentage Textbox</label>
                        </td>
                        <td>
                            <ej:PercentageTextBox ID="percent" Name="percentage" Value="40.5" DecimalPlaces="1" Locale="de-DE" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>
                                Currency Textbox</label>
                        </td>
                        <td>
                            <ej:CurrencyTextBox ID="currency" Name="currency" Value="10.50" DecimalPlaces="2" Locale="de-DE" runat="server" />
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        var numobject, percentobject, currencyobject;
        $(function () {

            numobject = $("#numeric").data("ejNumericTextbox");
            percentobject = $("#percent").data("ejPercentageTextbox");
            currencyobject = $("#currency").data("ejCurrencyTextbox");
            var ddobject = $("#culture").data("ejDropDownList");
            $("#sampleProperties").ejPropertiesPanel();
        });

        function onChange(args) {
            numobject.option("locale", args.value);
            percentobject.option("locale", args.value);
            currencyobject.option("locale", args.value);
        }
    </script>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        #text5 {
            width: 124px;
        }

        .frame {
            height: 280px;
            width: 100%;
            margin-top: 6%;
            margin-left: 0;
            padding: 0;
        }

        .control {
            margin: 90px 110px 0;
            color: gray;
            font-family: 'Segoe UI';
            font-size: medium;
        }
    </style>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    <label>
                        Select Culture</label>
                </div>
                <div class="col-md-3">
                    <ej:DropDownList ID="culture" runat="server" ClientSideOnChange="onChange" SelectedItemIndex="1" Width="80px">
                        <Items>
                            <ej:DropDownListItem Text="en-US" Value="en-US" />
                            <ej:DropDownListItem Text="de-DE" Value="de-DE" />
                            <ej:DropDownListItem Text="fr-FR" Value="fr-FR" />
                            <ej:DropDownListItem Text="zh-CN" Value="zh-CN" />
                        </Items>
                    </ej:DropDownList>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
