﻿<%@ Page Language="C#" AutoEventWireup="true"  MasterPageFile="~/Samplebrowser.Master" CodeBehind="Events.aspx.cs" Inherits="WebSampleBrowser.TreeGrid.Events" %>


<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">TreeGrid / Events</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection"> 
    <div>  
       <ej:TreeGrid runat="server" ID="TreeGridControlEvents" ChildMapping="SubTasks" TreeColumnIndex="1" Load="load"
             ActionBegin="actionBegin" actionComplete="ActionComplete" QueryCellInfo="queryCellInfo" BeginEdit="beginEdit"
            EndEdit="endEdit" RowSelecting="rowSelecting" RowSelected="rowSelected" Collapsing="collapsing" Collapsed="collapsed"
            Expanding="expanding" Expanded="expanded"  RowDataBound="rowDataBound" Create="create" EnableResize="true"  >            
          <columns>
                <ej:TreeGridColumn HeaderText="Task Id" Field="TaskID" Width="45" EditType="Numeric"/>
                <ej:TreeGridColumn HeaderText="Task Name" Field="TaskName" EditType="String"/>
                <ej:TreeGridColumn HeaderText="Start Date" Field="StartDate" EditType="Datepicker"/>
                <ej:TreeGridColumn HeaderText="End Date" Field="EndDate" EditType="Datepicker"/>
                <ej:TreeGridColumn HeaderText="Duration" Field="Duration" EditType="Numeric" />
                <ej:TreeGridColumn HeaderText="Progress" Field="Progress" EditType="Numeric"/>
            </columns>      
            <SizeSettings Width="100%" Height="450px" /> 
          <EditSettings AllowEditing="true" AllowAdding="true" AllowDeleting="true" EditMode="cellEditing" RowPosition="BelowSelectedRow"/>
      </ej:TreeGrid>
    </div>
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="PropertySection">
    <div class="cols-prop-area event-tracer">
                <div>
                    <div class="heading">
                        <span>Event Trace</span>
                        <div class="pull-right">
                            <ej:DropDownList ID="selectControls" runat="server" SelectedItemIndex="0"
                                 Width="150px" ShowCheckbox="true" CheckAll="True" ClientSideOnChange="evtpropscheckedevent">
                                <Items>
                                <ej:DropDownListItem Text="create" value="0"/>
                                 <ej:DropDownListItem Text="load" value="1"/>
                                    <ej:DropDownListItem Text="actionBegin" value="2"/>
                                    <ej:DropDownListItem Text="actionComplete" value="3"/>
                                    <ej:DropDownListItem Text="beginEdit" value="4"/>
                                    <ej:DropDownListItem Text="endEdit" value="5"/>
                                    <ej:DropDownListItem Text="queryCellInfo" value="6"/>
                                    <ej:DropDownListItem Text="rowDataBound" value="7"/>
                                    <ej:DropDownListItem Text="rowSelecting" value="8"/>
                                    <ej:DropDownListItem Text="rowSelected" value="9"/>
                                    <ej:DropDownListItem Text="expanding" value="10"/>
                                    <ej:DropDownListItem Text="expanded" value="11"/>
                                    <ej:DropDownListItem Text="collapsing" value="12"/>
                                    <ej:DropDownListItem Text="collapsed" value="13"/>                        
                                </Items>
                            </ej:DropDownList>                         
                        </div>
                    </div>
                    <div class="prop-grid content">
                        <div class="eventarea">
                            <div class="EventLog" id="EventLog">
                            </div>
                        </div>
                        <div class="evtbtn">
                            <ej:Button ID="Clear" runat="server" Type="Button" Text="Clear" ClientSideOnClick="onClear"></ej:Button>
                        </div>
                    </div>
                </div>
            </div>    
    
</asp:Content>

<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">


        function evtpropscheckedevent(args) {

            var treeGridObject = $("#TreeGridControlEvents").data("ejTreeGrid");
            var dropObj = $("#selectControls").data("ejDropDownList");

            if (args.isChecked && treeGridObject != undefined) {
                switch (args.selectedText) {
                    case "load": treeGridObject.option(dropObj.selectedTextValue, "load"); break;
                    case "create": treeGridObject.option(dropObj.selectedTextValue, "create"); break;
                    case "actionBegin": treeGridObject.option(dropObj.selectedTextValue, "actionBegin"); break;
                    case "actionComplete": treeGridObject.option(dropObj.selectedTextValue, "actionComplete"); break;
                    case "queryCellInfo": treeGridObject.option(dropObj.selectedTextValue, "queryCellInfo"); break;
                    case "beginEdit": treeGridObject.option(dropObj.selectedTextValue, "beginEdit"); break;
                    case "endEdit": treeGridObject.option(dropObj.selectedTextValue, "endEdit"); break;
                    case "rowDataBound": treeGridObject.option(dropObj.selectedTextValue, "rowDataBound"); break;
                    case "rowSelecting": treeGridObject.option(dropObj.selectedTextValue, "rowSelecting"); break;
                    case "rowSelected": treeGridObject.option(dropObj.selectedTextValue, "rowSelected"); break;
                    case "expanding": treeGridObject.option(dropObj.selectedTextValue, "expanding"); break;
                    case "expanded": treeGridObject.option(dropObj.selectedTextValue, "expanded"); break;
                    case "collapsing": treeGridObject.option(dropObj.selectedTextValue, "collapsing"); break;
                    case "collapsed": treeGridObject.option(dropObj.selectedTextValue, "collapsed"); break;
                }
            }
            else {
                text = {}
                text[dropObj.selectedTextValue] = null
                $("#TreeGridControlEvents").ejTreeGrid("option", text);
            }
        }

        function load(args) {
            jQuery.addEventLog("TreeGrid <span class='eventTitle'>load</span> event called");
        }

        function create(args) {
            jQuery.addEventLog("TreeGrid <span class='eventTitle'>create</span> event called");
        }
        function actionBegin(args) {
            jQuery.addEventLog("TreeGrid <span class='eventTitle'>actionBegin</span> event called");
        }
        function actionComplete(args) {
            jQuery.addEventLog("TreeGrid <span class='eventTitle'>actionComplete</span> event called");
        }
        function beginEdit(args) {
            jQuery.addEventLog("TreeGrid <span class='eventTitle'>beginEdit</span> event called");
        }

        function endEdit(args) {
            jQuery.addEventLog("TreeGrid <span class='eventTitle'>endEdit</span> event called");
        }
        function queryCellInfo(args) {
            jQuery.addEventLog("TreeGrid <span class='eventTitle'>queryCellInfo</span> event called");
        }
        function rowDataBound(args) {
            jQuery.addEventLog("TreeGrid <span class='eventTitle'>rowDataBound</span> event called");
        }
        function rowSelecting(args) {
            jQuery.addEventLog("TreeGrid <span class='eventTitle'>rowSelecting</span> event called");
        }
        function rowSelected(args) {
            jQuery.addEventLog("TreeGrid <span class='eventTitle'>rowSelected</span> event called");
        }

        function expanding(args) {
            jQuery.addEventLog("TreeGrid <span class='eventTitle'>expanding</span> event called");
        }

        function expanded(args) {
            jQuery.addEventLog("TreeGrid <span class='eventTitle'>expanded</span> event called");
        }

        function collapsing(args) {
            jQuery.addEventLog("TreeGrid <span class='eventTitle'>collapsing</span> event called");
        }

        function collapsed(args) {
            jQuery.addEventLog("TreeGrid <span class='eventTitle'>collapsed</span> event called");
        }

        function onClear() {
            $("#EventLog").html("");
        }
    </script>

</asp:Content>
