#region Copyright Syncfusion Inc. 2001 - 2014
// Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Syncfusion.XlsIO;
using System.Drawing;

namespace WebSampleBrowser.XlsIO
{
    public partial class Performance : System.Web.UI.Page
    {


        # region Page Load
        /// <summary>
        /// Handles the page load
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {

        }
        # endregion

        # region Events

        /// <summary>
        /// Creates spreadsheet
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Button1_Click(object sender, EventArgs e)
        {
            int rowCount = Convert.ToInt32(textBoxRows.Text);
            int colCount = Convert.ToInt32(textBoxColumns.Text);

            if (rBtn2003.Checked && colCount > 256)
                Response.Write("<script LANGUAGE='JavaScript' >alert('Maximum number of columns allowed for Excel 2003 format is 256. Please select Excel 2007 to 2013 format if you need more than 256 columns.');document.location='" + ResolveClientUrl("~/XlsIO/Performance.aspx") + "';</script>");
            else if (rBtn2003.Checked && rowCount > 65536)
                Response.Write("<script LANGUAGE='JavaScript' >alert('Maximum number of rows allowed for Excel 2003 format is 65,536. Please select Excel 2007 to 2013 format if you need more than 65,536 rows.');document.location='" + ResolveClientUrl("~/XlsIO/Performance.aspx") + "';</script>");
            else
            {
                System.Diagnostics.Stopwatch watcher = new System.Diagnostics.Stopwatch();
                watcher.Start();
                //New instance of XlsIO is created.[Equivalent to launching MS Excel with no workbooks open].
                //The instantiation process consists of two steps.

                //Step 1 : Instantiate the spreadsheet creation engine.
                ExcelEngine excelEngine = new ExcelEngine();
                //Step 2 : Instantiate the excel application object.
                IApplication application = excelEngine.Excel;

                //Setp 3 : Set the default version
                if (this.rBtn2003.Checked)
                    application.DefaultVersion = ExcelVersion.Excel97to2003;
                else
                    application.DefaultVersion = ExcelVersion.Excel2010;

                //Step 4 : Instantiate the Workbook object.
                IWorkbook workbook = application.Workbooks.Create(1);
                IWorksheet sheet = workbook.Worksheets[0];

                workbook.DetectDateTimeInValue = false;
                IMigrantRange migrantRange = sheet.MigrantRange;


                for (int column = 1; column <= colCount; column++)
                {
                    migrantRange.ResetRowColumn(1, column);
                    migrantRange.Text = "Column: " + column.ToString();
                }

                //Writing Data using normal interface
                for (int row = 2; row <= rowCount; row++)
                {
                    //double columnSum = 0.0; 
                    for (int column = 1; column <= colCount; column++)
                    {
                        //Writing number
                        migrantRange.ResetRowColumn(row, column);
                        migrantRange.Number = row * column;
                    }
                }

                //Saving the workbook to disk.

                if (rBtn2003.Checked == true)
                {
                    workbook.Version = ExcelVersion.Excel97to2003;
                    workbook.SaveAs("Sample.xls", Response, ExcelDownloadType.PromptDialog);
                }
                else if (rBtn2007.Checked == true)
                {
                    workbook.Version = ExcelVersion.Excel2007;
                    workbook.SaveAs("Sample.xlsx", Response, ExcelDownloadType.PromptDialog, ExcelHttpContentType.Excel2007);
                }
                else if (rBtn2010.Checked == true)
                {
                    workbook.Version = ExcelVersion.Excel2010;
                    workbook.SaveAs("Sample.xlsx", Response, ExcelDownloadType.PromptDialog, ExcelHttpContentType.Excel2010);
                }
                else if (rBtn2013.Checked == true)
                {
                    workbook.Version = ExcelVersion.Excel2013;
                    workbook.SaveAs("Sample.xlsx", Response, ExcelDownloadType.PromptDialog, ExcelHttpContentType.Excel2013);
                }

                workbook.Close();
                excelEngine.Dispose();

                LogDetails(watcher.Elapsed);
            }
        }

        private void LogDetails(TimeSpan timeSpan)
        {
            string s = "Number of rows : " + textBoxRows.Text + "\r\n" + "Number of columns: " + textBoxColumns.Text + "\r\n";
            this.label1.Text = s + "\r\n" + "Time taken : " + timeSpan.Minutes + "Mins : " + timeSpan.Seconds + "secs : " + timeSpan.Milliseconds + "msec";
        }



        # endregion

    }
}